/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// SelectColumnDlg.cpp : implementation file
//

#include "stdafx.h"
#include "XInjectorMon.h"
#include "SelectColumnDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSelectColumnDlg dialog


CSelectColumnDlg::CSelectColumnDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CSelectColumnDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CSelectColumnDlg)
    //}}AFX_DATA_INIT
}



void CSelectColumnDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CSelectColumnDlg)
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CSelectColumnDlg, CDialog)
//{{AFX_MSG_MAP(CSelectColumnDlg)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectColumnDlg message handlers

void CSelectColumnDlg::AddOption(const CString& strOption,BOOL bState)
{
    Option option;
    option.strName = strOption;
    option.bSelected = bState;
    m_arOptions.Add(option);
}

BOOL CSelectColumnDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    CRect rcClient;
    GetClientRect(&rcClient);

    CRect rcMarker;
    GetDlgItem(IDC_MARKER)->GetWindowRect(&rcMarker);
    ScreenToClient(&rcMarker);

    CRect rcOption(rcMarker);

    int nLowestPt = 0;
    int nNumOptions = m_arOptions.GetSize();
    int nHalfOptions = nNumOptions / 2;
    if(nNumOptions%2)
        nHalfOptions++;

    for(int nOption=0;nOption<nNumOptions;nOption++)
    {
        m_arOptions[nOption].pCheckBox = new CButton;
        m_arOptions[nOption].pCheckBox->Create(
            m_arOptions[nOption].strName,
            WS_CHILD|WS_VISIBLE|BS_AUTOCHECKBOX,
            rcOption,
            this,
            0xffff);

        m_arOptions[nOption].pCheckBox->SetFont(GetFont());
        m_arOptions[nOption].pCheckBox->SetCheck(m_arOptions[nOption].bSelected);

        rcOption.OffsetRect(0,rcMarker.Height());
        if(nOption == nHalfOptions-1)
        {
            nLowestPt = rcOption.bottom;
            rcMarker.OffsetRect(rcMarker.Width(),0);
            rcOption = rcMarker;
        }
    }

    CRect rc;
    GetWindowRect(&rc);

    SetWindowPos(NULL,0,0,rc.Width(),nLowestPt+10,SWP_NOZORDER|SWP_NOMOVE);

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CSelectColumnDlg::OnOK()
{
    for(int nOption=0;nOption<m_arOptions.GetSize();nOption++)
    {
        m_arOptions[nOption].bSelected = m_arOptions[nOption].pCheckBox->GetCheck();
        m_arOptions[nOption].pCheckBox->DestroyWindow();
        delete m_arOptions[nOption].pCheckBox;
        m_arOptions[nOption].pCheckBox=NULL;
    }

    CDialog::OnOK();
}

BOOL CSelectColumnDlg::IsSelected(int nColumn)
{
    return m_arOptions[nColumn].bSelected;
}
