/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_XMANAGERMONCTL_H__991BF953_8868_11D3_9A95_00500447FC27__INCLUDED_)
#define AFX_XMANAGERMONCTL_H__991BF953_8868_11D3_9A95_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// XManagerMonCtl.h : Declaration of the CXManagerMonCtrl ActiveX Control class.
#include "CECManagerStatus.h"

/////////////////////////////////////////////////////////////////////////////
// CXManagerMonCtrl : See XManagerMonCtl.cpp for implementation.

class CXManagerMonCtrl : public COleControl
{
    DECLARE_DYNCREATE(CXManagerMonCtrl)

    // Constructor
public:
    CXManagerMonCtrl();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CXManagerMonCtrl)
public:
    virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
    virtual void DoPropExchange(CPropExchange* pPX);
    virtual void OnResetState();
    virtual BOOL PreTranslateMessage(MSG* pMsg);
    //}}AFX_VIRTUAL

    // Implementation
protected:
    ~CXManagerMonCtrl();

    DECLARE_OLECREATE_EX(CXManagerMonCtrl)    // Class factory and guid
    DECLARE_OLETYPELIB(CXManagerMonCtrl)      // GetTypeInfo
    DECLARE_PROPPAGEIDS(CXManagerMonCtrl)     // Property page IDs
    DECLARE_OLECTLTYPE(CXManagerMonCtrl)        // Type name and misc status

    // Message maps
    //{{AFX_MSG(CXManagerMonCtrl)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnDestroy();
    //}}AFX_MSG
    afx_msg LRESULT OnShowDetails(WPARAM nID, LPARAM ptrRegName);
    afx_msg LRESULT OnInjectorView(WPARAM nID, LPARAM ptrRegName);
    afx_msg LRESULT OnLogAudit(WPARAM nID, LPARAM ptrRegName);
    DECLARE_MESSAGE_MAP()

    // Dispatch maps
    //{{AFX_DISPATCH(CXManagerMonCtrl)
    //}}AFX_DISPATCH
    DECLARE_DISPATCH_MAP()

    // Event maps
    //{{AFX_EVENT(CXManagerMonCtrl)
    void FireShowManagerDetails(LPCTSTR strRegName)
    {
        FireEvent(eventidShowManagerDetails,EVENT_PARAM(VTS_BSTR), strRegName);
    }
    void FireShowInjectorView(LPCTSTR strRegName)
    {
        FireEvent(eventidShowInjectorView,EVENT_PARAM(VTS_BSTR), strRegName);
    }
    void FireClosingControl()
    {
        FireEvent(eventidClosingControl,EVENT_PARAM(VTS_NONE));
    }
    void FireLogAudit(LPCTSTR strRegName, short nState)
    {
        FireEvent(eventidLogAudit,EVENT_PARAM(VTS_BSTR  VTS_I2), strRegName, nState);
    }
    //}}AFX_EVENT
    DECLARE_EVENT_MAP()

    // Dispatch and event IDs
public:
    enum {
        //{{AFX_DISP_ID(CXManagerMonCtrl)
        dispidXInitialize = 1L,
        eventidShowManagerDetails = 1L,
        eventidShowInjectorView = 2L,
        eventidClosingControl = 3L,
        eventidLogAudit = 4L,
        //}}AFX_DISP_ID
    };

private:
    CECManagerStatus m_StatusScreen;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XMANAGERMONCTL_H__991BF953_8868_11D3_9A95_00500447FC27__INCLUDED)
