/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_DETAILEDQUERYPAGE_H__961AD3D2_D801_11D3_BD76_00C04F89E392__INCLUDED_)
#define AFX_DETAILEDQUERYPAGE_H__961AD3D2_D801_11D3_BD76_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DetailedQueryPage.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CDetailedQueryPage dialog
#include "GridCtrl.h"
#include "GenericListPage.h"
#define SQL_TEXT        "SQL"
#define EXEC_TEXT       "Exec"
#define NT_PERF_TEXT    "NT Performance"
#define SNMP_TEXT       "SNMP"

class CDetailedQueryPage : public CGenericListPage
{
    DECLARE_DYNCREATE(CDetailedQueryPage)

    typedef enum {enEnabledColumn=0,enQueryTypeColumn,enTargetNameColumn,enIntervalColumn,
                  enHeadingTextColumn,enQueryTextColumn,enRunQueryColumn} ListColumns;

    typedef enum {enEnabledNo,enEnabledYes};
    // Construction
public:
    CDetailedQueryPage();
    ~CDetailedQueryPage();

    bool IsTargetReferenced(const CString& strTargetName);
    // Dialog Data
    //{{AFX_DATA(CDetailedQueryPage)
    enum { IDD = IDD_DETAILED_QUERY_PAGE };
    //}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CDetailedQueryPage)
public:
    virtual BOOL OnSetActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CDetailedQueryPage)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    afx_msg LRESULT OnCanStartEditting(WPARAM,LPARAM);
    afx_msg LRESULT OnValidateCell(WPARAM,LPARAM);
    afx_msg LRESULT OnButtonPressed(WPARAM,LPARAM);
    afx_msg void OnInsertRow();
    afx_msg void OnDeleteRow();
    DECLARE_MESSAGE_MAP()

    //Get number of rows in list box
    int GetNumDataEntries();

    //get a row from the list box
    bool GetDataEntry(int nEntry,CStringArray& arstrParams);

    //Add a row to the list box
    void AddDataEntry(const CStringArray& arstrParams);

    bool IsTargetListEmpty();

    void RunQuery(int nRow);
private:
    CString m_szHtmlHelpFile;
    void GetTargets(CStringArray& arrTargets);
    int ConvertTargetType(CString strType);
    CString     m_szOldEdit;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DETAILEDQUERYPAGE_H__961AD3D2_D801_11D3_BD76_00C04F89E392__INCLUDED_)
