/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_EDITORSHEET_H__68F0BB74_D888_11D3_BD76_00C04F89E392__INCLUDED_)
#define AFX_EDITORSHEET_H__68F0BB74_D888_11D3_BD76_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditorSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditorSheet
#include "DetailedQueryPage.h"
#include "SimpleQueryPage.h"
#include "TargetPage.h"
#include "OptionsPage.h"
#include "EnvironmentPage.h"

class CEditorSheet : public CPropertySheet
{
    DECLARE_DYNAMIC(CEditorSheet)

    typedef enum{enOptionsPage,enEnvironmentPage,enTargetPage,enSimpleQueryPage,enDetailedQueryPage}PageOrder;

    // Construction
public:
    CEditorSheet();
    CEditorSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CEditorSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

    // Attributes
public:

    // Operations
public:
    void AddDataEntry(const CString strRecordName,const CStringArray& arstrParams);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CEditorSheet)
public:
    virtual BOOL Create( CWnd* pParentWnd = NULL, DWORD dwStyle = (DWORD)-1, DWORD dwExStyle = 0 );
    virtual BOOL OnInitDialog();
    virtual BOOL PreTranslateMessage(MSG* pMsg);
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CEditorSheet();

    // Generated message map functions
protected:
    //{{AFX_MSG(CEditorSheet)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CDetailedQueryPage m_DetailedQueryPage;
    CSimpleQueryPage m_SimpleQueryPage;
    CTargetPage m_TargetPage;
    COptionsPage m_OptionsPage;
    CEnvironmentPage m_EnvironmentPage;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITORSHEET_H__68F0BB74_D888_11D3_BD76_00C04F89E392__INCLUDED_)
