/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// GenericListPage.cpp: implementation of the CGenericListPage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "xotaeditor.h"
#include "GenericListPage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif
/*
BEGIN_MESSAGE_MAP(CNumericEditControl, CEdit)
    //{{AFX_MSG_MAP(CNumericEditControl)
    ON_CONTROL_REFLECT(EN_UPDATE, OnUpdate)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()
*/
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CGenericListPage::CGenericListPage(UINT uiPageID) : CGenericPage(uiPageID)
{}


CGenericListPage::~CGenericListPage()
{
}


BEGIN_MESSAGE_MAP(CGenericListPage, CPropertyPage)
//{{AFX_MSG_MAP(CGenericListPage)
ON_WM_DESTROY()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CGenericListPage::SaveSettings()
{

    CWinApp *pApp = AfxGetApp();

    CString strEntry;
    int nNumColumns = m_ctlGrid.GetColumnCount();
    for(int nCol=0;nCol<nNumColumns;nCol++)
    {
        int nColWidth = m_ctlGrid.GetColumnWidth(nCol);

        strEntry.Format("%d",nCol);
        pApp->WriteProfileInt(m_strTokenName,strEntry,nColWidth);
    }

}

void CGenericListPage::RestoreSettings()
{

    CWinApp *pApp = AfxGetApp();

    CString strEntry;
    int nNumColumns = m_ctlGrid.GetColumnCount();
    for(int nCol=0;nCol<nNumColumns;nCol++)
    {
        strEntry.Format("%d",nCol);
        int nColWidth = pApp->GetProfileInt(m_strTokenName,strEntry,-1);

        if(nColWidth!=-1)
            m_ctlGrid.SetColumnWidth(nCol,nColWidth);
    }
}

BOOL CGenericListPage::OnInitDialog()
{
    CPropertyPage::OnInitDialog();
    /*
        m_ctlGrid.Initialize();
        m_ctlGrid.GetParam()->EnableUndo(FALSE);
     
        //set background colour of grid to that of windows
        m_ctlGrid.GetParam()->GetProperties()->SetColor(GX_COLOR_BACKGROUND,GetSysColor(COLOR_WINDOW));
            
        //set list box mode with single selection only
        m_ctlGrid.GetParam()->SetSpecialMode(GX_MODELBOX_SS);
        
        m_ctlGrid.SetScrollBarMode(SB_BOTH,gxnAutomatic|gxnEnhanced);
     
        // Turn off selecting whole columns when clicking on a column header
        m_ctlGrid.GetParam()->EnableSelection((WORD) (GX_SELFULL & ~GX_SELCOL & ~GX_SELTABLE));
                
        //turn off row headers
        m_ctlGrid.SetColWidth(0,0,0);
        m_ctlGrid.GetParam()->EnableTrackColWidth(GX_TRACK_DEFAULT | GX_TRACK_NOTHEADER); 
     
        //only start editting if we click on text (not buttons)
        m_ctlGrid.GetParam( )->SetActivateCellFlags(GX_CAFOCUS_DBLCLICKONCELL|GX_CAFOCUS_CLICKINTEXT);
     
        //sort rows if you double click headers
        m_ctlGrid.GetParam()->SetSortRowsOnDblClk(TRUE);
    */
    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CGenericListPage::OnDestroy()
{
    CPropertyPage::OnDestroy();

    SaveSettings();
}

