/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CXOutputTree.h
// --------------
//
//    This is the include file for the CXOutputTree class
//
//=========================================================================




//{{AFX_INCLUDES()
#include "xtree.h"
//}}AFX_INCLUDES
#if !defined(AFX_CXOUTPUTTREE_H__06BCDA2E_DE1D_11D2_BCFC_00608CB45114__INCLUDED_)
#define AFX_CXOUTPUTTREE_H__06BCDA2E_DE1D_11D2_BCFC_00608CB45114__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CXOutputTree.h : header file
//
#include "CXUserMsg.h"
class CYRServer;
/////////////////////////////////////////////////////////////////////////////
// CXOutputTree dialog

class CXOutputTree : public CDialog
{
    // Construction
public:
    void EnableMenus(BOOL bEnabaled);
    void RefreshTree();
    CXOutputTree(CWnd* pParent = NULL);   // standard constructor
    void GetOpenTestRun(CString & TestName, CString & RunName);
    void Activate();
    void SetActiveProject(CString strProject);
    void SetServer(CYRServer* pServer);
    BOOL HasTestRuns(CString TestName);

    // Dialog Data
    //{{AFX_DATA(CXOutputTree)
    enum { IDD = IDD_OUTPUT_TREE };
    CXTree  m_XTreeOutput;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CXOutputTree)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CXOutputTree)
    afx_msg void OnLBDblClickXtreeOutput(long hTreeItem, short nNodeType, LPCTSTR szPath);
    afx_msg void OnXTreeExpandingXtreeOutput(long hTreeItem, short nNodeType, LPCTSTR szPath);
    afx_msg void OnXTreeContextClickXtreeOutput(LPCTSTR strPath, short nType, LPCTSTR strEntry);
    virtual BOOL OnInitDialog();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnXTreeItemProperties(LPCTSTR strPath, short nType);
    afx_msg void OnPaint();
    afx_msg void OnXShowContext(short nNodeType, LPCTSTR strPath);
    DECLARE_EVENTSINK_MAP()
    //}}AFX_MSG
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);
    DECLARE_MESSAGE_MAP()

private:
    void AddTestRuns(HTREEITEM parent);
    void AddTests();
    void PrintRunName(CString &strTestRun);
    CString FindTestRun(CString TestName, CString RunTime);
    CString m_strProject;
    CString m_RunName;
    CString m_TestName;
    CYRServer* m_pServer;

    static int CompareTestRuns( const void *arg1, const void *arg2);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CXOUTPUTTREE_H__06BCDA2E_DE1D_11D2_BCFC_00608CB45114__INCLUDED_)
