/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//////////////////////////////////////////////////////////////////////
//                                                                  //
//  CXUserMsg.h  -  User Messages and type definitions for use in   //
//                  this control                                    //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#define WMU_CHANGE_PROJECT      (WM_USER+4000)
#define WMU_INIT_TEST           (WM_USER+4001)
#define WMU_OPEN_TESTRUN        (WM_USER+4002)
#define WMU_EDIT_FILE           (WM_USER+4003)
#define WMU_XVIEW_RESULTS       (WM_USER+4004)
#define WMU_CHECK_IN            (WM_USER+4005)
#define WMU_CHECK_OUT           (WM_USER+4006)
#define WMU_DELETE_FILE         (WM_USER+4007)
#define WMU_ADD_NODE            (WM_USER+4008)
#define WMU_ADD_TEST            (WM_USER+4009)
#define WMU_ADD_SCRIPT          (WM_USER+4010)
#define WMU_EXPORT_FILE         (WM_USER+4011)
#define WMU_XEDIT_NODE          (WM_USER+4012)
#define WMU_DELETE_TEST         (WM_USER+4013)
#define WMU_DELETE_TESTRUN      (WM_USER+4014)
#define WMU_DEL_RESULTS         (WM_USER+4015)
#define WMU_DELETE_NODE         (WM_USER+4016)
#define WMU_OPEN_FILE           (WM_USER+4017)
#define WMU_HTTP_STATS          (WM_USER+4018)

#define PROJECT                 0
#define PROJECT_FOLDER          1
#define NODE_FOLDER             2
#define SOURCE_FOLDER           3
#define TEST_FOLDER             4
#define TEST                    5
#define TESTRUN_FOLDER          6
#define TESTRUN                 7
#define SCRIPT_FILE             8
#define TEST_FILE               9
#define THREAD_FILE             10
#define DATA_FILE               11
#define ACTIVE_PROJECT          12
#define NODE                    13
#define THREAD_TOF              14
#define CMD_SCRIPT              15
#define SIMPLE_TEST             16
#define GROUP_TEST              17
#define INCL_FILE               18

//
//    Please keep the following node types in pairs as they are related to each other.
//
#define ORA_SCRIPT              20
#define ORA_TOF                 21
#define SYB_SCRIPT              22
#define SYB_TOF                 23
#define SQL_SCRIPT              24
#define SQL_TOF                 25
#define WEB_SCRIPT              26
#define WEB_TOF                 27
#define OTA_SCRIPT              28
#define OTA_TOF                 29

#define NODE_EDITABLE           1           // Increment from one node to the other
