//{{AFX_INCLUDES()
#include "xtree.h"
//}}AFX_INCLUDES
#if !defined(AFX_XTESTTREE_H__419996A3_03C4_11D4_A6C0_00500447FC27__INCLUDED_)
#define AFX_XTESTTREE_H__419996A3_03C4_11D4_A6C0_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// XTestTree.h : header file
//
#include "CXUserMsg.h"
class CYRServer;
/////////////////////////////////////////////////////////////////////////////
// CXTestTree dialog

class CXTestTree : public CDialog
{
    // Construction
public:
    CXTestTree(BOOL bUseSCC, CWnd* pParent = NULL);   // standard constructor
    void Activate();
    void SetServer(CYRServer* pServer);
    void SetActiveProject(CString strProject);
    void RefreshTree();
    void EnableMenus(BOOL bEnabaled);

    // Dialog Data
    //{{AFX_DATA(CXTestTree)
    enum { IDD = IDD_TEST_TREE };
    CXTree  m_XTreeTest;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CXTestTree)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CXTestTree)
    virtual BOOL OnInitDialog();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnXTreeExpanding(long hTreeItem, short nNodeType, LPCTSTR szPath);
    afx_msg void OnLBDblClick(long hTreeItem, short nNodeType, LPCTSTR szPath);
    afx_msg void OnXTreeContextClick(LPCTSTR strPath, short nType, LPCTSTR strEntry);
    afx_msg void OnXTreeItemDelete(LPCTSTR strPath, short nType);
    afx_msg void OnPaint();
    afx_msg void OnXShowContext(short nNodeType, LPCTSTR strPath);
    DECLARE_EVENTSINK_MAP()
    //}}AFX_MSG
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    DECLARE_MESSAGE_MAP()

private:
    void AddTestTypes(HTREEITEM parent, int testType);
    void AddTestDependencies(HTREEITEM parent);
    void FindChildren(HTREEITEM parent);
    void AddScriptDependencies(HTREEITEM parent);
    void InvokeGroupTestWizard(CString strTest);
    void InvokeSimpleTestWizard(CString strTest);

    BOOL m_bUseSCC;
    CString m_strProject;
    CYRServer* m_pServer;

    HTREEITEM m_hSimpleNode;
    HTREEITEM m_hGroupNode;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XTESTTREE_H__419996A3_03C4_11D4_A6C0_00500447FC27__INCLUDED_)
