#if !defined(AFX_CECRESULTSDLG_H__502A94D8_CD97_11D3_9A95_00500447FC27__INCLUDED_)
#define AFX_CECRESULTSDLG_H__502A94D8_CD97_11D3_9A95_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECResultsDlg.h : header file
//
//#include "CyrStApi\CyrStLib.h"
/////////////////////////////////////////////////////////////////////////////
// CECResultsDlg dialog
#ifndef max
#define max(a,b)            (((a) > (b)) ? (a) : (b))
#endif

#ifndef min
#define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif

#include "CECGridCtrl.h"

#define WMU_UPDATE_TITLE        (WM_USER+8001)

enum RESULT_TYPE {RESULT_AUDIT ,RESULT_REPORT ,RESULT_HISTORY};
class CYRServer;
class CECResultsDlg : public CDialog
{
    // Construction
public:
    void Init(CString szProject, CString szTest, CString szRun, int nType);
    void SetServer(CYRServer* pServer);
    CECResultsDlg(CWnd* pParent = NULL);   // standard constructor
    CString m_szRun;
    int m_nType;
    CString m_szTest;

    // Dialog Data
    //{{AFX_DATA(CECResultsDlg)
    enum { IDD = IDD_RESULTS };
    CComboBox   m_ComboType;
    CStatic m_LabelType;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECResultsDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    afx_msg void OnContextMenu(CWnd*, CPoint point);

    // Generated message map functions
    //{{AFX_MSG(CECResultsDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnSelchangeComboTestrun();
    afx_msg void OnSelchangeComboTest();
    afx_msg void OnSelchangeComboType();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    afx_msg void OnFullHelp();
    afx_msg void OnPopupCopy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    CString m_szHtmlHelpFile;
    int ReadAudit(CString test, CString run);
    int ReadReport(CString test, CString run);
    int ReadHistory(CString test, CString run);
    void ReadResults(int nType, CString szTest, CString szRun);
    void AddTypes();
    void AddHistoryColumns();
    void AddReportColumns();
    void AddAuditColumns();
    CECGridCtrl m_wndGrid;
    CYRServer*  m_pServer;
    int GetNextField(char sep, CString &inStr, CString &field);
    BOOL AddTestRunSuffix(CString testName, CString &testRunName);
    int AddHistoryFromRun(CString strTest,CString strRun,int nFirstRow);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECRESULTSDLG_H__502A94D8_CD97_11D3_9A95_00500447FC27__INCLUDED_)
