#if !defined(AFX_VUSERDETAILSDLG_H__BBEF1091_0AE8_11D4_BD8C_00C04F89E392__INCLUDED_)
#define AFX_VUSERDETAILSDLG_H__BBEF1091_0AE8_11D4_BD8C_00C04F89E392__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <CORBAObjects/TestExecuter.h>
// VUserDetails.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CVUserDetailsDlg dialog
class CThreadInfo
{
public:
    UINT uiIdent;
    CString strId;
    CString strTestName;
    CString strScript;
    CString strInjector;
    CString strInformation;
    int nIteration;
    ThreadStatus nStatus;
    CTTime rwStartTime;
    CTTime rwDuration;

    bool operator!=(const CThreadInfo& TI)
    {
        return ((TI.uiIdent!=uiIdent) ||
                (TI.strTestName != strTestName) ||
                (TI.strScript != strScript) ||
                (TI.nIteration != nIteration) ||
                (TI.strInjector != strInjector) ||
                (TI.nStatus != nStatus) ||
                (TI.rwStartTime != rwStartTime) ||
                (TI.rwDuration != rwDuration) ||
                (TI.strInformation != strInformation));
    }
};

class CVUserDetailsDlg : public CDialog
{
    // Construction
public:
    CVUserDetailsDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CVUserDetailsDlg)
    enum { IDD = IDD_VUDETAILS_DLG };
    CString m_strInjector;
    CString m_strIteration;
    CString m_strScript;
    CString m_strStatus;
    CString m_strTest;
    CString m_strInformation;
    CString m_strStart;
    CString m_strEnd;
    //}}AFX_DATA

    void SetThreadInfo(const CThreadInfo &threadInfo);
    UINT GetCurrentThread()
    {
        return m_CurrentThread.uiIdent;
    }
    void Clear();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CVUserDetailsDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CVUserDetailsDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnClose();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    afx_msg LRESULT OnUpdated(WPARAM,LPARAM);
    DECLARE_MESSAGE_MAP()


    CFont m_fntCaptions;
    CThreadInfo m_CurrentThread;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VUSERDETAILSDLG_H__BBEF1091_0AE8_11D4_BD8C_00C04F89E392__INCLUDED_)
