/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __MTSAFE__
#define __MTSAFE__

//==================================================================< Pragmas >
#ifdef  WIN32
#  pragma warning(disable : 4710)
#endif  // WIN32


//=================================================================< Includes >
#ifndef __DEFINITION__
#  include "definition.h"
#endif  // __DEFINITION__


//===================================================================< Macros >
#define DLLSPEC_MTSAFE  DLLSPEC (CYRTOOLS)


//====================================================================< Types >
struct hostent ;
struct servent ;


//====================================================================< Class >

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////// Class CTMTSafe //
///////////////////////////////////////////////////////////////////////////////
// Class used to acces to a multi-thread safe version of the standard routines.
class DLLSPEC_MTSAFE CTMTSafe
{
    //-----------------------------------------------------------------------------
public:             // Standard routies.
    static char*            strerror (int iErrNum) ;
    static char*            strtok (char* zString1, char* zString2) ;
    static struct hostent*  gethostbyname (const char* zName) ;
    static struct hostent*  gethostbyaddr (const char* zAddr, int iLen, int iType) ;
    static struct servent*  getservbyname (const char* zName, const char* zProto) ;

    //-----------------------------------------------------------------------------
}

; // CTMTSafe

///////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// End of Class CTMTSafe //
///////////////////////////////////////////////////////////////////////////////


#endif  // __MTSAFE__
