/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#include "TimeService_i.h"
#include <ctime.hpp>
TimeServiceImpl::TimeServiceImpl(CORBAServer* corba)
{
    m_corba=corba;
    //For now only have 1 TimeService, this is to reside on the
    //Repository machine
    m_registered_name=CLASS_NAME;
    m_corba->RegisterObject( this,CLASS_NAME,m_registered_name.c_str());

}
TimeServiceImpl::~TimeServiceImpl()
{
    m_corba->DeregisterObject( CLASS_NAME,m_registered_name.c_str());
}
CORBA::ULong  TimeServiceImpl::GetTime()
{
    CTTime tm;
    tm.now();
    return tm.getSeconds();
}
