/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc  CyrWrapLib
///////////////////////////////////////////////////////////////////////////////

#ifndef _CECOrbServer_h
#define _CECOrbServer_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes
#include <CyrWrapLib/CECOrbBorrow.h>
#include <Repository/CyrStRepository.h>

///////////////////////////////////////////////////////////////////////////////
// @class   CECOrbServer | This class wraps up functionality available via the
//          CyrStServer interface.  It is intended purely to hide the CORBA
//          mechanisms from products such as Impact.  This class is a borrowed
//          item.  This means that the Factory is constantly trying to destroy
//          it and it must be placed in a borrowing thread to keep it alive.
// @base    public | CECOrbBorrow
class CECOrbServer : public CECOrbBorrow
{
    // @access Public Members
public:
    // @cmember Constructor
    CECOrbServer( CORBAServer* corba, const char* factory,
                  const char* user, const char* password );

    string GetProjects( long& count ) const;  // @cmember Returns list of Projects within Server
    CyrStServer_ptr GetServant();  // @cmember Returns refrence to underlying servant object

    // @access Protected Members
protected:
    CyrStServer_var m_servant;  // @cmember Reference to CORBA object
}
;

#endif

