/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc CyrFFApi
///////////////////////////////////////////////////////////////////////////////

#ifndef _CECFFImpactFolders_h
#define _CECFFImpactFolders_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes
#include <CyrffApi/CECFFFolder.h>

#define SPECIFIC_FOLDER_DECL( CLASS_X )             \
class CYR_EXPORT CLASS_X : public CECFFFolder       \
{                                                   \
public:                                             \
CLASS_X( CECFFFolder* parent );                 \
CLASS_X( CECFFFolder* parent, const char* desc );   \
static const char* FOLDER_NAME;                 \
}

SPECIFIC_FOLDER_DECL( CECFFSourceFolder );
SPECIFIC_FOLDER_DECL( CECFFObjectCodeFolder );
SPECIFIC_FOLDER_DECL( CECFFTestFolder );
SPECIFIC_FOLDER_DECL( CECFFDataFolder );
SPECIFIC_FOLDER_DECL( CECFFDependancyFolder );
SPECIFIC_FOLDER_DECL( CECFFParameterFolder );
SPECIFIC_FOLDER_DECL( CECFFNodeFolder );
SPECIFIC_FOLDER_DECL( CECFFCaptureFolder );

///////////////////////////////////////////////////////////////////////////////
// @class  CECFFTestStore | This class is derived from the CECFFFolder class
//         and implements a specific instance of a Folder type.  This particular
//         Folder contains Test Runs.
// @base   public | CECFFFolder
class CYR_EXPORT CECFFTestStore : public CECFFFolder
{
    // @access Public Members
public:
    // @cmember Constructor for retrieval
    CECFFTestStore( CECFFTestFolder* parent, const char* name );
    // @cmember Constructor for creation
    CECFFTestStore( CECFFTestFolder* parent, const char* name, const char* desc );
};

#endif


