#ifndef _TPSEMAPHOREIMPL_H_
#define _TPSEMAPHOREIMPL_H_

/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc     TPSemaphoreImpl
// @module  TPSemaphoreImpl|CORBA implementation of a Inter Process Sempahore
//              for the implementation of a CYRANO-Test type sempahore
//              (maximum count=1) see TPCYRSemaphore
//
///////////////////////////////////////////////////////////////////////////////
#include "TPSemaphore.h"
#include <string>
#include <CORBA/CORBAServer.h>
#ifndef CYR_NO_STD_NAMESPACE
using std::string;
#endif
class TPSemaphoreImpl:public virtual _sk_TPSemaphore
{
public:
    TPSemaphoreImpl(CORBAServer* pcorba,string SemaphoreName);
    virtual ~TPSemaphoreImpl();
    virtual void acquire();
    virtual void release();
    virtual CORBA::Boolean  tryacquire();
private:
    omni_semaphore semaphore;
    CORBAServer* m_corba;
    string m_regname;
};
#endif
