/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//========================================================================
//
// CYRWDT001.h
// -----------
//
//    This is the include file for the CYRWDT001 class
//
//=========================================================================

#include "CYRService.h"

class CYRWDT001 : public CYRService
{
public:

    // Constructor
    CYRWDT001();

    // Initialisation Routine
    virtual BOOL OnInit();

    // Main Run virtual function
    virtual void Run();

    // Start Omninames routine
    BOOL StartOmniNames();

    // Read in the OmniOrb Port Number from the Registry
    void GetOmniPortNo();

    // Delete any current OmniNames logs
    BOOL DeleteLogs();

    // Start off a process (i.e. Omninames.exe)
    BOOL StartProcess ();

    // Handle any User Control
    virtual BOOL OnUserControl(DWORD dwOpcode);

    // Action when receiving a stop signal
    virtual void OnStop();

    // Save Status of Service
    void SaveStatus();

    // Get hold of the Cyrano Home Environmental Variable
    BOOL GetCyranoHome();

    // Control parameters
    int m_iStartParam;
    int m_iIncParam;

    // Current state
    int m_iState;

    // Cyrano Home, Image and Port Number Variables
    char    m_chOmniPortNo[256];
    char    m_chImageName[255];
    char    m_chCyranoHome[255];

    // OmniNames Handles
    HANDLE  m_hOmniNames;
    DWORD   m_OmniNamesPid;
};
