/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OSWebEditCtrl.cpp: implementation of the COSWebEditCtrl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "OSWebEditCtrl.h"
#include "concertlib.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

COSWebEditCtrl::COSWebEditCtrl( LPCSTR pczRegistryPath)
        :COSEditCtrl(pczRegistryPath)
{
    m_ImageList.Create(IDB_WEBEDIT_IMAGELIST,16,0,RGB(255,255,255));
}

COSWebEditCtrl::~COSWebEditCtrl()
{
}


void COSWebEditCtrl::InitKeywords()
{
    TCHAR *pszBuffer = _T("DESCRIPTION\nINCLUDE\nINTEGER\nCHARACTER\n"
                          "FILE\nTARGET\nMODE\nSCRIPT\nTOF\nTEST\n"
                          "THREAD\nCONVERT\nCALL\nTIMER\nSTART\n"
                          "END\nDO\nENDDO\nEXECUTE\nFORMAT\nGENERATE\n"
                          "GOTO\nHISTORY\nIF\nTHEN\nELSEIF\nELSE\nENDIF\n"
                          "LOAD\nACTIVE_THREADS\nDATE\nTIME\nLOG\nMUTEX\nNEXT\n"
                          "NOTE\nON\nERROR\nCANCEL\nREPORT\nRESET\nSEMAPHORE\n"
                          "SET\nTEST_CASE\nTRACE\nWAIT\nFOR\nSUBROUTINE\nRETURN\n"
                          "END\nEXTRACT\nLOCATE\nABORT\nDETACH\nDISCONNECT\nENVIRONMENT\nDEFINITIONS\nCODE\nEXIT\n\0") ;

    AddKeywords( pszBuffer ) ;

    COSEditCtrl::InitKeywords();
}

void COSWebEditCtrl::InitComments()
{
    m_OSLanguage.SetComments("!");

}

CString COSWebEditCtrl::GetLanguageName()
{
    return _T("HTTPSCL");
}

//--------------------------------------------------------------------

void COSWebEditCtrl::SetPrimaryGetMarkOnLine(int nLine,BOOL bShow,BOOL bRedraw)
{
    SetMarginImages(nLine-1,2);
}

//--------------------------------------------------------------------

void COSWebEditCtrl::ClearAllPrimaryGetMarks()
{
    int nbLines;
    //---
    nbLines = GetLineCount();

    for( int i=0; i< nbLines; i++ )
    {
        SetMarginImages(i,0);
    }
}
