/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// RepositoryAPI.h: interface for the CRepositoryAPI class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REPOSITORYAPI_H__03721D39_03B5_11D4_AC85_00105A483E3C__INCLUDED_)
#define AFX_REPOSITORYAPI_H__03721D39_03B5_11D4_AC85_00105A483E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning( disable : 4786 )

#include <Server.h>

class CRepositoryAPI
{

    CWnd*             m_pWnd;
    CYRServer*      m_pServer;

public:
    CRepositoryAPI();
    virtual ~CRepositoryAPI();

    //
    void SetWindow(CWnd* _pWnd);

    //Server
    BOOL Connect( const TCHAR* pczUser , const TCHAR* pczPwd ) ;
    void DisConnect();
    BOOL IsConnected();

    //Project
    void GetImpactProjectList(CStringArray& ProjectList);
    BOOL OpenProject(const CString& strProject);
    CString GetOpenProjectName()
    {
        return m_pServer->GetOpenProjectName();
    }
    BOOL IsProjectOpen()
    {
        return m_pServer->IsThereAnOpenProject();
    }
    int GetProjectCount()
    {
        return m_pServer->GetProjectCount();
    }

    //Files
    void AddProjectCaptureFiles     (const CString& strSCLFile) ;
    BOOL SaveProjectCaptureFiles    (const CString& strSCLFile, bool bRelease ) ;
    BOOL RetrieveProjectCaptureFiles(const CString& strSCLFile) ;

    void AddProjectTemplateFiles     (const CString& strSCLFile) ;
    BOOL SaveProjectTemplateFiles(const CString& strSCLFileName, bool bRelease );
    BOOL RetrieveProjectTemplateFiles(const CString& strSCLFile) ;

    long GetProjectCaptureFiles( CStringArray& FileList  ) ;
    long GetProjectTemplateFiles(CStringArray& FileList  );

    BOOL AddFVR(const CString& strSCLFile);
    BOOL CheckOutFVR(const CString& strSCLFile);
    BOOL CheckInFVR(const CString& strSCLFile);

    BOOL DeleteObjectFiles();

    void DisplayMessage( UINT nID ) ;
    void DisplayMessage( UINT nID , const CString& strText ) ;
};

#endif // !defined(AFX_REPOSITORYAPI_H__03721D39_03B5_11D4_AC85_00105A483E3C__INCLUDED_)
