#ifndef _CYR_BMP_UTIL_
#define _CYR_BMP_UTIL_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


//--------------------------------------------------------------------

class CHexBmp
{
    LPSTR     m_pzHexBmp ;
    CBitmap * m_pBitmap ;
    WORD      m_wFlags ;
public:

    enum Flags
    {
        flagPacked = 0x0001
    } ;

    CHexBmp( LPCTSTR pczBMPFile = NULL ) ;
    ~CHexBmp() ;

    HRESULT Load( LPCTSTR pczBMPFile ) ;

    HRESULT SetHexString( LPCSTR pczHex ) ;

    HRESULT GetHexString( LPCSTR * ppczHex ) const ;
    // N.B : S_FALSE si '*ppBitmap == NULL' :
    HRESULT GetBitmap( CBitmap * * ppBitmap ) const ;

    // Load external bitmap from hex string
    HRESULT LoadBitmap( CBitmap * pBitmap, CPalette * pPal = NULL ) ;
    // Load internal bitmap from hex string
    HRESULT LoadBitmap( CPalette * pPal = NULL ) ;

    HRESULT Pack() ;
    HRESULT Unpack() ;

    HRESULT CopyHex() ;
    HRESULT PasteHex() ;

    static BOOL CanPaste() ; // Is clipboard content of the right format ?
}
;

//--------------------------------------------------------------------

#endif // _CYR_BMP_UTIL_
