/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ExtendedPropertySheet.h: interface for the CExtendedPropertySheet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXTENDEDPROPERTYSHEET_H__CA2CEE34_E588_11D1_9193_00104B4B2995__INCLUDED_)
#define AFX_EXTENDEDPROPERTYSHEET_H__CA2CEE34_E588_11D1_9193_00104B4B2995__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TabCtrlEx.h"

class CExtendedPropertyPage;

/////////////////////////////////////////////////////////////////////////////
// CExtendedPropertySheet
/////////////////////////////////////////////////////////////////////////////
class CExtendedPropertySheet : public CPropertySheet
{
    DECLARE_DYNAMIC(CExtendedPropertySheet)

    //Attribute
private:
    CTabCtrlEx m_TabCtrlEx ;

    //Construction
public:
    CExtendedPropertySheet  ();
    CExtendedPropertySheet  (UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CExtendedPropertySheet  (LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    virtual ~CExtendedPropertySheet();

    //Operation
public:
    void    AddPage ( CExtendedPropertyPage *pPage );
    void    EnablePages(BOOL bEnable, int nStart, int nEnd = -1);

    void    Show    ( CWnd* _pParent, DWORD  _dwStyle = WS_CHILD | WS_VISIBLE );
    int     Width   () const;
    int     Height  () const;

    void    SetPosition(int _iLeft, int _iTop);

    virtual void OnCancel();
    virtual BOOL OnOK();
    virtual void OnWizardNext( CExtendedPropertyPage* _pPage );
    virtual void OnWizardBack( CExtendedPropertyPage* _pPage );
    virtual void OnSetActive( CExtendedPropertyPage* _pPage );
    virtual void OnKillActive( CExtendedPropertyPage* _pPage );

    BOOL EnablePage( CExtendedPropertyPage* _page , BOOL bEnable = TRUE ) ;
    BOOL IsPageEnabled( CExtendedPropertyPage* _page ) ;

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_VIRTUAL(CExtendedPropertySheet)
    virtual BOOL OnInitDialog();
    //}}AFX_VIRTUAL


    DECLARE_MESSAGE_MAP()

};

#endif // !defined(AFX_EXTENDEDPROPERTYSHEET_H__CA2CEE34_E588_11D1_9193_00104B4B2995__INCLUDED_)
