#if !defined(AFX_EXTENDEDTREECTRL_H__86FEDC95_6703_11D1_9E28_0020AFAC7193__INCLUDED_)
#define AFX_EXTENDEDTREECTRL_H__86FEDC95_6703_11D1_9E28_0020AFAC7193__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ExtendedTreeCtrl.h : header file
//

#include "AbstractTree.h"

/////////////////////////////////////////////////////////////////////////////
// CExtendedTreeCtrl window
/////////////////////////////////////////////////////////////////////////////

class CExtendedTreeCtrl : public CTreeCtrl ,
            public CAbstractTree
{
    DECLARE_DYNAMIC(CExtendedTreeCtrl)

    virtual CTreeCtrl & GetTreeCtrl();

    // Construction
public:
    CExtendedTreeCtrl(BOOL bDestroyInfoForDisplay = TRUE);
    virtual ~CExtendedTreeCtrl();

    // Operations
public:

    //create tree control
    BOOL Create( CWnd * pParent , UINT nStaticPatternID , UINT nTreeCtrlID ) ;

    //Get the current item, if no item is selected return the root
    HTREEITEM GetAtLeastTheRoot( CPoint * pHitPoint ) const ;

    //insert items in the tree when you know the order
    HTREEITEM AddItem(  int         nDepth ,
                        int       * nLastDepth ,
                        HTREEITEM * hLastItem ,
                        LPCTSTR     lpszItem  = LPSTR_TEXTCALLBACK ,
                        void      * pItemData = NULL ,
                        int         nImage         = I_IMAGECALLBACK ,
                        int         nSelectedImage = I_IMAGECALLBACK ) ;

    //insert item in the tree with the item id and the parent item id.
    virtual BOOL InsertItem( HTREEITEM & hItem ,
                             LPCTSTR     lpszItem ,
                             int         nImage ,
                             int         nSelectedImage ,
                             DWORD       dwID ,
                             DWORD       dwParentID ) ;

    virtual BOOL InsertItemBefore( HTREEITEM & hItem ,
                                   HTREEITEM   hBeforeItem ,
                                   LPCTSTR     lpszItem ,
                                   int         nImage ,
                                   int         nSelectedImage ,
                                   DWORD       dwID ,
                                   DWORD       dwParentID ) ;

    virtual BOOL InsertItemAfter( HTREEITEM & hItem ,
                                  HTREEITEM   hAfterItem ,
                                  LPCTSTR     lpszItem ,
                                  int         nImage ,
                                  int         nSelectedImage ,
                                  DWORD       dwID ,
                                  DWORD       dwParentID ) ;


    // get our own menu
    virtual void DoOwnerContextMenu( CMenu * pSubMenu ) ;

    virtual BOOL DoPopupMenu( CPoint clientPoint ) ;

    // Get the window associated with the menu
    virtual HRESULT GetClientWindow( /*[out]*/ CWnd * * ppWnd ) ;
    // Get the window associated with the menu which will receive the messages
    virtual HRESULT GetCmdMsgTargetWindow( /*[out]*/ CWnd * * ppTargetWnd ) ;

    // Gives the client a chance of modifying the menu.
    virtual HRESULT OnPreMenuPopup( /*[in]*/ CMenu * pMenu ) ;

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CExtendedTreeCtrl)
public:
    //}}AFX_VIRTUAL


protected:
    // Generated message map functions
protected:
    //{{AFX_MSG(CExtendedTreeCtrl)
    afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
    // Menu Item Handlers :
    afx_msg void _OnExpandAll();
    afx_msg void _OnUpdateExpandAll(CCmdUI* pCmdUI);
    afx_msg void _OnCollapseAll();
    afx_msg void _OnUpdateCollapseAll(CCmdUI* pCmdUI);
    afx_msg void _OnExpand();
    afx_msg void _OnUpdateExpand(CCmdUI* pCmdUI);
    afx_msg void _OnCollapse();
    afx_msg void _OnUpdateCollapse(CCmdUI* pCmdUI);
    //
    afx_msg void OnInitMenuPopup( CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu );
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTENDEDTREECTRL_H__86FEDC95_6703_11D1_9E28_0020AFAC7193__INCLUDED_)
