/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ExtendedWinApp.h: interface for the CExtendedWinApp class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXTENDEDWINAPP_H__F93227E4_EBCF_11D1_919A_00104B4B2995__INCLUDED_)
#define AFX_EXTENDEDWINAPP_H__F93227E4_EBCF_11D1_919A_00104B4B2995__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CRootDocument;
class CStubDocument;
class CExtendedMultiDocTemplate;
class CProgressDlg;

//////////////////////////////////////////////////////////////////////
// CExtendedMultiDocTemplate
//////////////////////////////////////////////////////////////////////
class CExtendedWinApp : public CWinApp
{
    //Attributes
private:
    CRootDocument*             m_pRootDocument   ;
    CProgressDlg*              m_pWaitingProcess;

    //Construction
public:
    CExtendedWinApp(LPCTSTR lpszAppName = NULL);
    virtual ~CExtendedWinApp();

    // Waiting Process operation
public:
    void StartWaitingProcess(CString _strTitle, UINT _iTotal, BOOL _bEnableCancel = FALSE);
    BOOL AdvanceWaitingProcess(LPCSTR _pczBuffer = NULL);
    void EndWaitingProcess();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CExtendedWinApp)
public:
    virtual BOOL InitInstance();
    virtual int  ExitInstance();
    virtual BOOL PreTranslateMessage(MSG* pMsg);
    //}}AFX_VIRTUAL

    // Operations
public:
    CRootDocument* GetRootDocument() const ;
    void           SetRootDocument( CRootDocument * _pDoc ) ;

    CExtendedMultiDocTemplate*    AddOneTemplate(UINT                  _nIDResource,
            CRuntimeClass       * _pDocClass  ,
            CRuntimeClass       * _pFrameClass,
            CRuntimeClass       * _pViewClass );

    void        ActivateTemplate(  CExtendedMultiDocTemplate *_pTemplate );
    CFrameWnd*  ActivateDocumentFrame( CStubDocument * _pDoc ) const;

    void        CloseDependents( CRootDocument * _pDoc );

};

#endif // !defined(AFX_EXTENDEDWINAPP_H__F93227E4_EBCF_11D1_919A_00104B4B2995__INCLUDED_)
