/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// StubDocument.cpp : implementation file
//

#include "stdafx.h"
#include "RootDocument.h"
#include "StubDocument.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNCREATE(CStubDocument, CDocument)

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
CStubDocument::CommandInfo::CommandInfo()
{
    memset( this , '\0' , sizeof( CStubDocument::CommandInfo ) ) ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
CStubDocument::CStubDocument()
        :  m_pRootDocument(NULL),
        m_wStatus(0) ,
        m_nOwnershipCount(0)
{}


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

CStubDocument::~CStubDocument()
{}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP(CStubDocument, CDocument)
//{{AFX_MSG_MAP(CStubDocument)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

#ifdef _DEBUG
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::AssertValid() const
{
    CDocument::AssertValid();
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::Dump(CDumpContext& dc) const
{
    CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::Serialize(CArchive& ar)
{
    if (ar.IsStoring())
    {
        // TODO: add storing code here
    }

    else
    {
        // TODO: add loading code here
    }

}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::GetStatus( Status status ) const
{
    return ( ( m_wStatus & (WORD)status ) != 0 ) ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::SetStatus( Status status , BOOL bSet /*=TRUE*/ )
{
    if ( bSet == FALSE )
    {
        m_wStatus &= ~(WORD)status ;
    }
    else
    {
        m_wStatus |= (WORD)status ;
    }
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::GetAutoTitle() const         //SC : 05/02/98
{
    return GetStatus( stsNoAutoTitle ) ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::SetWindowTitle( int nID , int nCount ) const         //SC : 13/02/98
{
    CString strTitle ;
    TCHAR pczBuffer[1000] ;
    ///HACK!!!!!!!
    CStubDocument *_pThis_doc = const_cast<CStubDocument *> (this) ;

    _pThis_doc->SetAutoTitle(FALSE) ;
    strTitle.LoadString( nID ) ;
    sprintf( pczBuffer, strTitle , nCount ) ;
    _pThis_doc->CDocument::SetTitle( pczBuffer );
    return TRUE ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::SetWindowTitle( int nID , int nCount1 , int nCount2 ) const         //SC : 13/02/98
{
    CString strTitle ;
    TCHAR pczBuffer[1000] ;
    ///HACK!!!!!!!
    CStubDocument *_pThis_doc = const_cast<CStubDocument *> (this) ;

    _pThis_doc->SetAutoTitle(FALSE) ;
    strTitle.LoadString( nID ) ;
    sprintf( pczBuffer, strTitle , nCount1 , nCount2 ) ;
    _pThis_doc->CDocument::SetTitle( pczBuffer );
    return TRUE ;
}


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::SetWindowTitle( int nID , CString &strName ) const         //SC : 13/02/98
{
    CString strTitle ;
    TCHAR pczBuffer[1000] ;
    ///HACK!!!!!!!
    CStubDocument *_pThis_doc = const_cast<CStubDocument *> (this) ;

    _pThis_doc->SetAutoTitle(FALSE) ;
    strTitle.LoadString( nID ) ;
    sprintf( pczBuffer, strTitle , strName ) ;
    _pThis_doc->CDocument::SetTitle( pczBuffer );
    return TRUE ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::SetAutoTitle( BOOL bSetON )   //SC : 05/02/98
{
    SetStatus( stsNoAutoTitle , bSetON ) ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::IncrOwnershipCount()
{
    m_nOwnershipCount++ ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::DecrOwnershipCount()
{
    ASSERT( m_nOwnershipCount > 0 ) ;
    m_nOwnershipCount-- ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::IsGenDocOwner() const
{
    return m_nOwnershipCount > 0 ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/*$$$JLBOOL CStubDocument::DoGenDocRefresh( UINT nCommand , BOOL bPostCommand  )
{
   POSITION pos = GetFirstViewPosition() ;
   // ----
   if ( pos != NULL )
      {
      CView * pView = GetNextView(pos) ;
      // ----
      if ( pView != NULL )
         {
         if ( bPostCommand == FALSE )
            { return pView->GetParentFrame()->SendMessage( WM_COMMAND , (WPARAM)MAKELPARAM(nCommand,0) ) ; }
         else
            { return pView->GetParentFrame()->PostMessage( WM_COMMAND , (WPARAM)MAKELPARAM(nCommand,0) ) ; }
         }
      else
         { ASSERT(FALSE) ; }
      }   
   
   return FALSE ;
}*/

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::IsDocWindow( const CWnd * pWnd ) const
{
    if ( pWnd == NULL )
        return FALSE;

    POSITION pos = GetFirstViewPosition() ;

    ASSERT( pWnd->IsKindOf(RUNTIME_CLASS(CWnd)) ) ;

    while ( pos != NULL )
    {
        CView * pView = GetNextView(pos) ;
        ASSERT( pView != NULL ) ;

        if ( pWnd == pView || pView->IsChild( pWnd ) )
            return TRUE ;
    }
    return FALSE ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::SetRootDocument( CRootDocument* pDoc )
{
    ASSERT( m_pRootDocument == NULL ) ;
    ASSERT( pDoc != NULL ) ;

    m_pRootDocument = pDoc ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
CRootDocument * CStubDocument::GetRootDocument() const
{
    return m_pRootDocument ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::SetTitle( UINT nTitleResStringID )
{
    CString strTitle ;
    BOOL    bRet = TRUE ;

    TRY
    {
        if ( ( bRet = strTitle.LoadString( nTitleResStringID ) ) != FALSE )
    {
        CDocument::SetTitle( (const char *)strTitle ) ;
        }
    }
    CATCH(CMemoryException,e)
    {
        bRet = FALSE ;
    }
    END_CATCH

    return bRet ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo) /* virtual */
{

    if ( m_pRootDocument != NULL )
    {
        // On repasse le message au document proprement dit
        return m_pRootDocument->OnCmdMsg(nID, nCode, pExtra, pHandlerInfo) ;
    }
    else
    {
        return CDocument::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo) ;
    }
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CStubDocument::OnNewDocument()
{
    if (!CDocument::OnNewDocument())
        return FALSE;

    CRootDocument *pRootDoc = GetRootDocument() ;
    ASSERT( pRootDoc != NULL ) ;
    if ( pRootDoc != NULL )
        pRootDoc->AddDocTemplate( GetDocTemplate() );

    return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CStubDocument::OnCloseDocument()
{
    CRootDocument *pRootDoc = GetRootDocument() ;
    ASSERT( pRootDoc != NULL ) ;

    if ( pRootDoc != NULL )
    {
        /*$$$JL      if ( IsGenDocOwner() )
           {
           TheApp().CloseAllOwnedDocs( this ) ;
           }*/

        pRootDoc->RemoveDocTemplate( GetDocTemplate() ) ;
    }
    CDocument::OnCloseDocument();

    //$$$JLTheApp().UpdateRootDoc() ;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/*$$$JLBOOL CStubDocument::DefaultCmdHandler( CommandInfo * pInfo )
{
   if ( pInfo != NULL )
      {
      if ( pInfo->m_pCmdUI != NULL )
         {
         pInfo->m_pCmdUI->Enable( TRUE ) ;
         }
      return TRUE ;
      }
   else
      { return FALSE ; }
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdSort( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdFilter( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdSearch( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdPrint( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdSaveRowsAs( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdRefs( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdScript( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdAncestor( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}
 
// --------------------------------------------------------------------------
 
BOOL CStubDocument::OnCmdImpact( CommandInfo * pInfo )
{
   return DefaultCmdHandler( pInfo ) ;
}*/

// --------------------------------------------------------------------------
