/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//========================================================================
//
// CECServiceManager.cpp
// ---------------------
//
//    This is the include file for the CECServiceStartup class
//
//=========================================================================
#if !defined(AFX_CECSERVICEMANAGER_H__A2C4BC23_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_)
#define AFX_CECSERVICEMANAGER_H__A2C4BC23_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECServiceManager.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Services details
typedef struct
{
    CString m_szName;
    CString m_szImage;
    CString m_szStatus;
    CString m_szStartup;
}
ServiceDetails;

/////////////////////////////////////////////////////////////////////////////
// CECServiceManager dialog

class CECServiceManager : public CDialog
{
    // Construction
public:
    void StartWDTService(const CString& szService);
    void StartWDTService(int nItem);
    void StopWDTService(const CString& szService);
    void StopWDTService(int nItem);
    BOOL GetStatus(const CString& szService, CString& szStatus);
    BOOL GetStartup(const CString& szService, CString& szStartup);
    BOOL IsRunning(const CString& szService);
    void DisplayState();
    BOOL FindServices();
    CECServiceManager(const CString& szCyranoHome, CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECServiceManager)
    enum { IDD = IDD_SERVICE_DLG };
    CListCtrl   m_Services;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECServiceManager)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECServiceManager)
    afx_msg void OnStartup();
    afx_msg void OnStart();
    afx_msg void OnRemove();
    afx_msg void OnInstall();
    afx_msg void OnStop();
    virtual BOOL OnInitDialog();
    afx_msg void OnDestroy();
    afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
    afx_msg void OnDblclkServices(NMHDR* pNMHDR, LRESULT* pResult);
    //}}AFX_MSG
    afx_msg void OnUpdateStartup(CCmdUI* pCmdUI);
    afx_msg void OnUpdateStart(CCmdUI* pCmdUI);
    afx_msg void OnUpdateRemove(CCmdUI* pCmdUI);
    afx_msg void OnUpdateInstall(CCmdUI* pCmdUI);
    afx_msg void OnUpdateStop(CCmdUI* pCmdUI);
    DECLARE_MESSAGE_MAP()
private:
    void ReportLastError();
    void OnTimer(UINT nIDEvent);

    UINT m_timer;
    CString m_szCyranoHome;

    CArray <ServiceDetails,ServiceDetails> m_arServiceDetails;

    CString TranslateService(const CString& szService);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECSERVICEMANAGER_H__A2C4BC23_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_)
