/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//// --------------------------------------------------------------------------------
//// Symbol attributes (used only for tokens).
//// --------------------------------------------------------------------------------

template <typename U>
class CAttributes
{
public:

    //// --------------------------------------------------------------------------------
    //// Construction / Destruction.
    //// --------------------------------------------------------------------------------
CAttributes() : pLexeme_(U()), ulLexemeSize_(0)
    {}

    CAttributes(const CAttributes& ca)
: pLexeme_(ca.pLexeme_), ulLexemeSize_(ca.ulLexemeSize_)
    {}

    //// --------------------------------------------------------------------------------
    //// Operators.
    //// --------------------------------------------------------------------------------

    void operator=(const CAttributes& ca)
    {
        pLexeme_ = ca.pLexeme_;
        ulLexemeSize_ = ca.ulLexemeSize_;
    }

    //// --------------------------------------------------------------------------------
    //// Data.
    //// --------------------------------------------------------------------------------
    U               pLexeme_;       // Not zero-terminated!
    unsigned long   ulLexemeSize_;  // Excluding zero terminator.
}
;
