// Copyright (C) 2000 Cyrano SA
//
// This file is part of OpenSTA
//
// OpenSTA is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2, or (at your option) any later
// version.
//
// OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with OpenSTA; see the file COPYING.  If not, write to the Free Software
// Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// For more information about the GNU Public license see:
// http://www.gnu.org/copyleft/gpl.html
//
// OpenSTA is at:
// http://www.opensta.org/
// http://opensta.sourceforge.net/

///////////////////////////////////////////////////////////////
//                                                           //
//                     XLogin.ocx                            //
//                     ----------                            //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Login Screen , IDD_LOGIN_SCREEN

#define IDH_LOGIN_USERNAME                  1000
#define IDH_LOGIN_PASSWORD                  1001
#define IDH_LOGIN_SAVE_PASSWORD             1002
#define IDH_LOGIN_LOGIN                     1003
#define IDH_LOGIN_CONFIGURE                 1004
#define IDH_LOGIN_CANCEL                    1005
#define IDH_LOGIN_AUTO_LOGIN                1006

// Topic : Server Configuration dialog box , IDD_CONFIG_SCREEN

#define IDH_SERVER_CONFIG_HOST              1007
#define IDH_SERVER_CONFIG_OK                1008
#define IDH_SERVER_CONFIG_CANCEL            1009



///////////////////////////////////////////////////////////////
//                                                           //
//                   XManagerMon.ocx                         //
//                   ---------------                         //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Test Manager monitoring screen , IDD_MANAGER_DLG

//#define IDH_MANAGER_DLG_USER_COMBO            1010    // REMOVED
//#define IDH_MANAGER_DLG_PROJECT_COMBO         1011    // REMOVED
//#define IDH_MANAGER_DLG_NODE_COMBO            1012    // REMOVED
#define IDH_MANAGER_DLG_MANAGER_LIST            1013

// Topic : Filters , IDD_FILTER_DLG

#define IDH_MANAGER_FILTER_USERS                1010    // NEW
#define IDH_MANAGER_FILTER_PROJECTS             1011    // NEW
#define IDH_MANAGER_FILTER_INJECTORS            1012    // NEW

///////////////////////////////////////////////////////////////
//                                                           //
//                    XDiagnoser.ocx                         //
//                    --------------                         //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Logging Levels screen , IDD_DIAGNOSE

#define IDH_DIAGNOSE_LEVELS                 1014
#define IDH_DIAGNOSE_SAVE                   1015
#define IDH_DIAGNOSE_CORBA_REFRESH          1016

// Topic : Add a tracing level, IDD_ADDDIALOG

#define IDH_ADD_TRACE_LEVELS                1145    // NEW
#define IDH_ADD_TRACE_CATEGORY              1146    // NEW

// Topic : Change a tracing level, IDD_CHANGEDIALOG

#define IDH_CHANGE_TRACE_LEVELS             1147    // NEW
#define IDH_CHANGE_TRACE_ALL_RADIO          1148    // NEW
#define IDH_CHANGE_TRACE_CATEGORY_RADIO     1149    // NEW
#define IDH_CHANGE_TRACE_CATEGORY           1150    // NEW

///////////////////////////////////////////////////////////////
//                                                           //
//                    XInjectorMon.ocx                       //
//                    ----------------                       //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Injector Monitor screen , IDD_INJECTOR_MON_DLG

#define IDH_INJECTOR_MON_DLG_INJECTOR_LIST  1017
//#define IDH_INJECTOR_MON_DLG_TEST_NAME        1018 // REMOVED


///////////////////////////////////////////////////////////////
//                                                           //
//                    CyrImpact.dll                          //
//                    -------------                          //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Define Simple Test Name, IDD_WIZ_NAME_DEFINITION_PAGE

#define IDH_WIZ_SIMPLE_NAME_DEF_TEST_NAME           1019
#define IDH_WIZ_SIMPLE_NAME_DEF_TEST_DESCRIPTION    1020

// Topic : Define Connection Scripts, IDD_WIZ_AUXILLARY_SCRIPT_PAGE

#define IDH_WIZ_SIMPLE_AUXILLARY_SCRIPT_PROLOG_SCRIPT   1021
#define IDH_WIZ_SIMPLE_AUXILLARY_SCRIPT_EPILOG_SCRIPT   1022

// Topic : Set the properties of a script, IDD_SCRIPT_PROPERTIES_DLG

#define IDH_SCRIPT_PROPERTIES_WIZ_SCRIPTNAME            1023
#define IDH_SCRIPT_PROPERTIES_WIZ_SCRIPTPERCENTAGE      1024
#define IDH_SCRIPT_PROPERTIES_WIZ_SCRIPTDESCRIPTION     1025

// Topic : Set the scripts to be used in this test, IDD_WIZ_SCRIPT_DEPENDENCY_PAGE

#define IDH_WIZ_SIMPLE_DEPENDENCY_SCRIPTS           1026
#define IDH_WIZ_SIMPLE_DEPENDENCY_ADD               1027
#define IDH_WIZ_SIMPLE_DEPENDENCY_MODIFY            1028
#define IDH_WIZ_SIMPLE_DEPENDENCY_REMOVE            1029

// Topic : Set the browsers to be used in this test, IDD_WIZ_BROWSER_RATIO_PAGE

#define IDH_WIZ_SIMPLE_BROWSER_RATIO_SIM_USERS      1030
#define IDH_WIZ_SIMPLE_BROWSER_RATIO_ITERATIONS     1031
#define IDH_WIZ_SIMPLE_BROWSER_RATIO_BROWSERS       1032


// Topic : Wizard summary for the simple test, IDD_WIZ_SUMMARY_PAGE

#define IDH_WIZ_SIMPLE_SUMMARY_SUMMARY              1033


// Topic : Executes a test for taget WEB, IDD_WEBEXEC

#define IDH_WEB_EXEC_TEST_COMBO             1034
#define IDH_WEB_EXEC_DESCRIPTION            1035
#define IDH_WEB_EXEC_INTERVAL               1036
#define IDH_WEB_EXEC_USERS                  1037
#define IDH_WEB_EXEC_EXECUTE                1038
#define IDH_WEB_EXEC_CANCEL                 1039
#define IDH_WEB_EXEC_APPLY_BUTTON           1040
#define IDH_WEB_EXEC_GRID                   1041


///////////////////////////////////////////////////////////////
//                                                           //
//                    Commander.exe                          //
//                    -------------                          //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : About Box, IDD_ABOUT

#define IDH_ABOUT_PRODUCT_LIST              1042
#define IDH_ABOUT_ADVANCED                  1043
#define IDH_ABOUT_OK                        1044
#define IDH_ABOUT_LICENCE                   1151        // NEW

// Topic : Advanced About Box, IDD_ABOUT_ADVANCED

#define IDH_ABOUT_ADVANCED_CYRANO_HOME      1045
#define IDH_ABOUT_ADVANCED_FILELIST         1046
#define IDH_ABOUT_ADVANCED_EXPORT           1047
#define IDH_ABOUT_ADVANCED_CANCEL           1048
#define IDH_ABOUT_ADVANCED_OK               1049

// Topic : Select a project to delete, IDD_DELETE_PROJECT

#define IDH_DELETE_PROJECT_PROJ_LIST        1050
#define IDH_DELETE_PROJECT_DELETE           1051
#define IDH_DELETE_PROJECT_CLOSE            1052


// Topic : Licence Information, IDD_LICENCE_DLG
#define IDH_LICENCE_DLG_LICENCE             1152        // NEW
#define IDH_LICENCE_DLG_OK                  1153        // NEW

// Topic : Select a project to open, IDD_PROJ_SELECT

#define IDH_PROJ_SELECT_PROJLIST            1053
#define IDH_PROJ_SELECT_CANCEL              1054
#define IDH_PROJ_SELECT_OK                  1055

// Topic : Project Creation Dialog, IDD_PROP_PROJECT_PAGE

#define IDH_PROP_PROJECT_PROJECT_TYPES      1056
#define IDH_PROP_PROJECT_PROJECT            1057
#define IDH_PROP_PROJECT_DESCRIPTION        1058

// Topic : Select test wizard, IDD_WIZARD_START

#define IDH_WIZARD_START_WIZARD_TYPES       1059
#define IDH_WIZARD_START_CANCEL             1060
#define IDH_WIZARD_START_OK                 1061



///////////////////////////////////////////////////////////////
//                                                           //
//                    XResults.ocx                           //
//                    ------------                           //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Results display dialog, IDD_RESULTS

#define IDH_RESULTS_COMBO_TYPE              1062
#define IDH_RESULTS_GRID                    1063


///////////////////////////////////////////////////////////////
//                                                           //
//                XTestDynamicGraphs.ocx                     //
//                ----------------------                     //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Dynamic Graph Display, IDD_GRAPH_DLG

#define IDH_GRAPH_DLG_GRAPH                 1064

///////////////////////////////////////////////////////////////
//                                                           //
//                     XTestMon.ocx                          //
//                     ------------                          //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Dynamic Test Monitor, IDD_TESTMON

#define IDH_TESTMON_TOTAL_THREADS           1065
#define IDH_TESTMON_SHOW_GRAPH              1066
#define IDH_TESTMON_LEVEL_LIST              1067
#define IDH_TESTMON_THREAD_LIST             1068
#define IDH_TESTMON_ALL_THREADS             1069
#define IDH_TESTMON_SHOW_SUBTESTS           1070
#define IDH_TESTMON_EXPAND                  1071
#define IDH_TESTMON_BACK                    1072

///////////////////////////////////////////////////////////////
//                                                           //
//                     CyrAnalyzer.dll                       //
//                     ---------------                       //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Graph Customization: Graph Display, IDD_CUSTOMIZE_GRAPH

#define IDH_CUSTOMIZE_GRAPH_GRAPH_TYPE      1154
#define IDH_CUSTOMIZE_GRAPH_LABEL_FONT      1155
#define IDH_CUSTOMIZE_GRAPH_LABEL_COL       1156
#define IDH_CUSTOMIZE_GRAPH_BG_COL          1157
#define IDH_CUSTOMIZE_GRAPH_GRID_COL        1158
#define IDH_CUSTOMIZE_GRAPH_AT_COL          1159
#define IDH_CUSTOMIZE_GRAPH_LINE_COL        1160


// Topic : Graph Customization: Graph Title, IDD_CUSTOMIZE_TITLE

#define IDH_CUSTOMIZE_TITLE_FONT            1073
#define IDH_CUSTOMIZE_FONT_COLOUR           1074
#define IDH_CUSTOMIZE_FILL_TYPE             1075
#define IDH_CUSTOMIZE_ANGLE_VAL             1076
#define IDH_CUSTOMIZE_START_COLOUR          1077
#define IDH_CUSTOMIZE_END_COLOUR            1078


// Topic : Stats Filter based on Test/Script/TimerName, IDD_FILTER

#define IDH_FILTER_TEST_LIST                1079
#define IDH_FILTER_THREAD_LIST              1080
#define IDH_FILTER_SCRIPT_LIST              1081
#define IDH_FILTER_TIMER_LIST               1082
#define IDH_FILTER_OK                       1083
#define IDH_FILTER_CANCEL                   1084


// Topic : Statistical Summary Screen, IDD_SUMMARY

#define IDH_SUMMARY_SAMPLE                  1085
#define IDH_SUMMARY_RANGE                   1086
#define IDH_SUMMARY_MIN                     1087
#define IDH_SUMMARY_MAX                     1088
#define IDH_SUMMARY_LOWERQ                  1089
#define IDH_SUMMARY_MEDIAN                  1090
#define IDH_SUMMARY_UPPERQ                  1091
#define IDH_SUMMARY_MEAN                    1092
#define IDH_SUMMARY_STDDEV                  1093


// Topic : Trim to Standard Deviations, IDD_TRIM

#define IDH_TRIM_STDDEV                     1094
#define IDH_TRIM_WANT_TRIM                  1095
#define IDH_TRIM_TRIMVAL                    1096
#define IDH_TRIM_OK                         1097
#define IDH_TRIM_CANCEL                     1098


// Topic : URL Filter, IDD_URL_FILTER_DLG

#define IDH_URL_FILTER_DLG_URL_LIST         1099
#define IDH_URL_FILTER_DLG_SELECT_ALL       1100
#define IDH_URL_FILTER_DLG_OK               1101
#define IDH_URL_FILTER_DLG_CANCEL           1102

///////////////////////////////////////////////////////////////
//                                                           //
//                     CyrGenericCtrls.dll                   //
//                     -------------------                   //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Cotrol the refresh rate of the Injector Monitor, IDD_INJECTOR_REFRESH_RATE

#define IDH_INJECTOR_REFRESH_RATE_RATE_SLIDER   1103
#define IDH_INJECTOR_REFRESH_RATE_RATE_TEXT     1104
#define IDH_INJECTOR_REFRESH_RATE_OK            1105
#define IDH_INJECTOR_REFRESH_RATE_CANCEL        1106

///////////////////////////////////////////////////////////////
//                                                           //
//                     CyrGeneric.dll                        //
//                     --------------                        //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Injector Definitions, IDD_NODE_DEFINITION_DLG

#define IDH_NODE_DEFINITION_DLG_NAME_COMBO      1107
#define IDH_NODE_DEFINITION_DLG_PHYSICAL_NODE   1108
#define IDH_NODE_DEFINITION_DLG_OK              1109
#define IDH_NODE_DEFINITION_DLG_CANCEL          1110
#define IDH_NODE_DEFINITION_DLG_ADVANCED        1111
#define IDH_NODE_DEFINITION_DLG_CPU_SLIDER      1112
#define IDH_NODE_DEFINITION_DLG_CPU_THRESHOLD   1113
#define IDH_NODE_DEFINITION_DLG_PAGE_SWAPPING   1114
#define IDH_NODE_DEFINITION_DLG_NET_USE         1115
#define IDH_NODE_DEFINITION_DLG_CONFIGURE_OTA   1116


// Topic : Group Test Dependencies, IDD_WIZ_GROUP_DEPENDENCY_PAGE
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_AVAILABLE         1117
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_SELECTED          1118
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_SELECT            1119
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_SELECT_ALL        1120
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_DESELECT          1121
#define IDH_WIZ_GROUP_DEPENDENCY_PAGE_DESELECT_ALL      1122

// Topic : Define Group Test Name, IDD_WIZ_NAME_DEFINITION_PAGE
#define IDH_WIZ_NAME_DEFINITION_PAGE_TEST_NAME          1123
#define IDH_WIZ_NAME_DEFINITION_PAGE_TEST_DESCRIPTION   1123

// Topic : Wizard Summary Page for Group Test, IDD_WIZ_SUMMARY_PAGE
#define IDH_WIZ_SUMMARY_PAGE_SUMMARY            1125

// Topic : Select Project Path, IDD_SET_WORKFOLDER
#define IDH_SET_WORKFOLDER_FOLDER_NAME          1126
#define IDH_SET_WORKFOLDER_FOLDER_BROWSE        1127
#define IDH_SET_WORKFOLDER_OK                   1128
#define IDH_SET_WORKFOLDER_CANCEL               1129

///////////////////////////////////////////////////////////////
//                                                           //
//                     XOTAEditor.ocx                        //
//                     --------------                        //
//                                                           //
///////////////////////////////////////////////////////////////

// Topic : Detailed Queies, IDD_DETAILED_QUERY_PAGE

#define IDH_DETAILED_QUERY_PAGE_GRID            1130

// Topic : Simple Queries, IDD_SIMPLE_QUERY_PAGE

#define IDH_SIMPLE_QUERY_PAGE_GRID              1131

// Topic : Database targets, IDD_TARGET_PAGE

#define IDH_TARGET_PAGE_GRID                    1132

// Topic : Environment settings, IDD_ENVIRONMENT_PAGE

#define IDH_ENVIRONMENT_PAGE_GRID               1133

// Topic : Environment settings, IDD_OPTIONS_PAGE

#define IDH_OPTIONS_PAGE_RETRIEVE_DETAILS       1134

// Topic : NT Performnace query editor, IDD_MULTIPLE_NT_QUERY_DLG

#define IDH_MULTIPLE_NT_QUERY_DLG_QUERY_LIST    1135
#define IDH_MULTIPLE_NT_QUERY_DLG_ADD_QUERY     1136
#define IDH_MULTIPLE_NT_QUERY_DLG_EDIT_QUERY    1137
#define IDH_MULTIPLE_NT_QUERY_DLG_DELETE_QUERY  1138
#define IDH_MULTIPLE_NT_QUERY_DLG_OK            1139

// Topic : SNMP / SQL query editor, IDD_EDIT_TEXT_DLG

#define IDH_EDIT_TEXT_DLG_QUERY_EDIT            1140
#define IDH_EDIT_TEXT_DLG_OK                    1141
#define IDH_EDIT_TEXT_DLG_CANCEL                1142

// Topic : Test Query Output, IDD_LIST_OUTPUT_DLG
#define IDH_LIST_OUTPUT_DLG_LIST                1143
#define IDH_LIST_OUTPUT_DLG_OK                  1144



///////////////////////////////////////////////////////////////////////////
// Next Free index = 1161
