/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// AboutDlg.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "AboutDlg.h"
#include "CECAboutPlusDlg.h"
#include "LicenceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


#include "htmlhelp.h"
#include "Help\AboutBox.inl"

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog


CAboutDlg::CAboutDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CAboutDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CAboutDlg)
    m_strBuildInfo = _T("");
    //}}AFX_DATA_INIT

}



void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CAboutDlg)
    DDX_Text(pDX, IDC_BUILD_INFO, m_strBuildInfo);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
//{{AFX_MSG_MAP(CAboutDlg)
ON_BN_CLICKED(IDC_ADVANCED, OnAdvanced)
ON_BN_CLICKED(IDC_LICENCE, OnLicence)
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg message handlers

void CAboutDlg::OnAdvanced()
{
    CECAboutPlusDlg dlg;
    dlg.DoModal();
}

BOOL CAboutDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    LoadBuildInfo ();

    UpdateData(FALSE);

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CAboutDlg::OnLicence()
{
    CLicenceDlg dlg;
    dlg.DoModal();
}

void    CAboutDlg::LoadBuildInfo ()
{
    //
    //     Retrieve the product version info to do this we first get the name of the file being executed
    //
    char strFileName[512];
    CString strProdVersionString;
    CString strFileVersionString;
    BOOL bVerSuccess = FALSE;
    ::GetModuleFileName(NULL, strFileName, sizeof(strFileName));

    //
    //    Get size of version info and allocate it
    //
    DWORD handle;
    DWORD size = ::GetFileVersionInfoSize(strFileName, &handle);
    void* info = malloc(size);              // Allocate buffer for it

    //
    // Retrieve file version info
    //
    if (::GetFileVersionInfo(strFileName, handle, size, info))
    {

        //
        //    Query for the base version information.
        //
        VS_FIXEDFILEINFO *fixedfileinfo;
        UINT versionlen;
        if (::VerQueryValue(info, "\\", (void**) &fixedfileinfo, &versionlen))
        {
            strFileVersionString.Format ("Build (%d.%d.%d.%d)   %s %s"
                                         ,fixedfileinfo->dwFileVersionMS/0x10000
                                         ,fixedfileinfo->dwFileVersionMS%0x10000
                                         ,fixedfileinfo->dwFileVersionLS/0x10000
                                         ,fixedfileinfo->dwFileVersionLS%0x10000
                                         ,__DATE__
                                         ,__TIME__);

            bVerSuccess = TRUE;
        } // errur during querying of the base version info
    } // error during retrieval of file version info


    if ( !bVerSuccess )
    {
        strFileVersionString.Format("Build date/time %s %s", __DATE__, __TIME__);
    }

    //
    //    Now display it
    //
    m_strBuildInfo = strFileVersionString;
}

BOOL CAboutDlg::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp;
    contextHelp.LoadString(IDS_MODELLER_HELP_FILE);
    contextHelp= getenv("CYRANO_HOME")+contextHelp+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
