#if !defined(AFX_BASEDDOCUMENT_H__48D835E6_F4CC_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_BASEDDOCUMENT_H__48D835E6_F4CC_11D3_AC83_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BasedDocument.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBasedDocument document
#include "EnumModellerData.h"
#include "SCLDocInfo.h"

class CBasedDocument : public CDocument
{
private:
    CSCLDocInfo    m_SCLDocumentInfo;

protected:
    CBasedDocument();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CBasedDocument)

    //Boolean to determine if the project is new
    BOOL                    m_bNew ;

    // Attributes
public:
    CSCLDocInfo* GetSCLDocInfo();
    virtual BOOL RetrieveFromRepository()
    {
        return TRUE;
    };
    inline void SetProjectState( BOOL bNew )
    {
        m_bNew = bNew ;
    } ;


    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CBasedDocument)
public:
    virtual void Serialize(CArchive& ar);   // overridden for document i/o
    virtual void SetPathName(LPCTSTR lpszPathName, BOOL bAddToMRU = TRUE);
    virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
protected:
    virtual BOOL OnNewDocument();
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CBasedDocument();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
protected:
    //{{AFX_MSG(CBasedDocument)
    // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BASEDDOCUMENT_H__48D835E6_F4CC_11D3_AC83_00105A483E3C__INCLUDED_)
