/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// DelDelayPPage.cpp : implementation file
//

#include "stdafx.h"
#include "DelDelayPPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include "htmlhelp.h"
#include "Help\DelDelay.inl"

/////////////////////////////////////////////////////////////////////////////
// CDelDelayPPage property page

IMPLEMENT_DYNCREATE(CDelDelayPPage, CExtendedPropertyPage)

CDelDelayPPage::CDelDelayPPage(CDelDelay * _pDelDelay)
        : CExtendedPropertyPage(CDelDelayPPage::IDD)
{
    ASSERT(_pDelDelay!=NULL);
    m_pDelDelay = _pDelDelay;

    //{{AFX_DATA_INIT(CDelDelayPPage)
    m_nDelay = 0;
    //}}AFX_DATA_INIT


}


CDelDelayPPage::~CDelDelayPPage()
{}


void CDelDelayPPage::DoDataExchange(CDataExchange* pDX)
{
    CExtendedPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CDelDelayPPage)
    DDX_Control(pDX, IDC_DEL_DELAY_SPIN, m_ctlDelaySpin);
    DDX_Text(pDX, IDC_DEL_DELAY_EDIT, m_nDelay);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CDelDelayPPage, CExtendedPropertyPage)
//{{AFX_MSG_MAP(CDelDelayPPage)
ON_WM_CTLCOLOR()
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDelDelayPPage message handlers
BOOL CDelDelayPPage::OnInitDialog()
{
    CExtendedPropertyPage::OnInitDialog();

    m_ctlDelaySpin.SetRange32(0,0x7fffffff);

    Values2Ctrl();

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CDelDelayPPage::Ctrl2Values()
{
    UpdateData();

    m_pDelDelay->m_nDelay = m_nDelay;
}

void CDelDelayPPage::Values2Ctrl()
{
    m_nDelay = m_pDelDelay->m_nDelay;

    m_ctlDelaySpin.SetPos(m_nDelay);

    UpdateData(FALSE);
}


HBRUSH CDelDelayPPage::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hbr = CExtendedPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);

    if( nCtlColor == CTLCOLOR_STATIC && pWnd->m_hWnd == GetDlgItem(IDC_DESCRIPTION)->m_hWnd)
    {
        pDC->SetTextColor( RGB( 0 , 0 , 255 ) ) ;
    }

    // TODO: Return a different brush if the default is not desired
    return hbr;
}

BOOL CDelDelayPPage::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp;
    contextHelp.LoadString(IDS_MODELLER_HELP_FILE);
    contextHelp= getenv("CYRANO_HOME")+contextHelp+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
