/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// DelPSheet.cpp : implementation file
//

#include "stdafx.h"
#include "DelPSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDelPSheet

IMPLEMENT_DYNAMIC(CDelPSheet, CExtendedPropertySheet)

CDelPSheet::CDelPSheet(BOOL _bCreate, CDelInfo * _pDelInfo):
        CExtendedPropertySheet("Delay"),
        m_DelayPage(&_pDelInfo->m_DelDelay)

{
    AddPage(&m_DelayPage);

    if ( _bCreate )
        SetWizardMode() ;
}

CDelPSheet::~CDelPSheet()
{}



BEGIN_MESSAGE_MAP(CDelPSheet, CExtendedPropertySheet)
//{{AFX_MSG_MAP(CDelPSheet)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDelPSheet message handlers

BOOL CDelPSheet::OnInitDialog()
{
    BOOL bResult = CExtendedPropertySheet::OnInitDialog();

    //Show the context sensitive help ? button
    LONG style = ::GetWindowLong(m_hWnd, GWL_EXSTYLE);
    style |= WS_EX_CONTEXTHELP;
    ::SetWindowLong(m_hWnd, GWL_EXSTYLE, style);

    return bResult;
}
