/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// IfBooleanExpPPage.cpp : implementation file
//

#include "stdafx.h"
#include "IfBooleanExpPPage.h"
#include "htmlhelp.h"
#include "Help\IfBooleanExpPPage.inl"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIfBooleanExpPPage property page

BEGIN_MESSAGE_MAP(CIfBooleanExpPPage, CExtendedPropertyPage)
//{{AFX_MSG_MAP(CIfBooleanExpPPage)
ON_WM_CTLCOLOR()
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//--------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CIfBooleanExpPPage, CExtendedPropertyPage)

//--------------------------------------------------------------------------

CIfBooleanExpPPage::CIfBooleanExpPPage(CIfBooleanExpression *_pBooleanExpression) : CExtendedPropertyPage(CIfBooleanExpPPage::IDD)
{
    ASSERT(_pBooleanExpression!=NULL);
    m_pBooleanExpression = _pBooleanExpression;
    //{{AFX_DATA_INIT(CIfBooleanExpPPage)
    m_strBooleanExpression = _T("");
    //}}AFX_DATA_INIT

}

//--------------------------------------------------------------------------


CIfBooleanExpPPage::~CIfBooleanExpPPage()
{}

//--------------------------------------------------------------------------


void CIfBooleanExpPPage::DoDataExchange(CDataExchange* pDX)
{
    CExtendedPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CIfBooleanExpPPage)
    DDX_Text(pDX, IDC_IF_EXPRESSION_EDIT, m_strBooleanExpression);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CIfBooleanExpPPage message handlers
//--------------------------------------------------------------------------


BOOL CIfBooleanExpPPage::OnInitDialog()
{
    CExtendedPropertyPage::OnInitDialog();

    Values2Ctrl();

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}

//--------------------------------------------------------------------------


void CIfBooleanExpPPage::Ctrl2Values()
{
    UpdateData();

    m_pBooleanExpression->m_strBooleanExpression = m_strBooleanExpression;
}

//--------------------------------------------------------------------------

void CIfBooleanExpPPage::Values2Ctrl()
{
    m_strBooleanExpression = m_pBooleanExpression->m_strBooleanExpression;

    UpdateData(FALSE);
}

//--------------------------------------------------------------------------

LRESULT CIfBooleanExpPPage::OnWizardBack()
{
    return IDD_IF_VALUE_TYPE_PPAGE;
}

//--------------------------------------------------------------------------

LRESULT CIfBooleanExpPPage::OnWizardNext()
{
    return -1;
}

//--------------------------------------------------------------------------

HBRUSH CIfBooleanExpPPage::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hbr = CExtendedPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);

    if( nCtlColor == CTLCOLOR_STATIC && pWnd->m_hWnd == GetDlgItem(IDC_DESCRIPTION)->m_hWnd)
    {
        pDC->SetTextColor( RGB( 0 , 0 , 255 ) ) ;
    }

    // TODO: Return a different brush if the default is not desired
    return hbr;
}

BOOL CIfBooleanExpPPage::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp;
    contextHelp.LoadString(IDS_MODELLER_HELP_FILE);
    contextHelp= getenv("CYRANO_HOME")+contextHelp+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
