/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// IfPSheet.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "IfPSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIfPSheet

BEGIN_MESSAGE_MAP(CIfPSheet, CExtendedPropertySheet)
//{{AFX_MSG_MAP(CIfPSheet)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//---------------------------------------------------------------------------

IMPLEMENT_DYNAMIC(CIfPSheet, CExtendedPropertySheet)

//---------------------------------------------------------------------------

CIfPSheet::CIfPSheet(BOOL _bCreate,CIfInfo* _pIfInfo,CSCLStructure *_pSCLStructure)
        :CExtendedPropertySheet("Conditional Expression"),
        m_IfGeneralPage(),
        m_IfValueTypePage(&_pIfInfo->m_ValueType),
        m_IfServerResponseTestPage(&_pIfInfo->m_ServerResponseTest,_pSCLStructure),
        m_IfTextMatchPage(&_pIfInfo->m_TextMatch,_pSCLStructure),
        m_IfBooleanExpPage(&_pIfInfo->m_BooleanExpression)
{
    AddPage(&m_IfGeneralPage);
    AddPage(&m_IfValueTypePage);
    AddPage(&m_IfBooleanExpPage);
    AddPage(&m_IfServerResponseTestPage);
    AddPage(&m_IfTextMatchPage);

    if(_bCreate)
        SetWizardMode();
}

//---------------------------------------------------------------------------

CIfPSheet::~CIfPSheet()
{}

/////////////////////////////////////////////////////////////////////////////
// CIfPSheet message handlers
//---------------------------------------------------------------------------


void CIfPSheet::OnSetActive( CExtendedPropertyPage* _pPage )
{
    BOOL bIsLastPage ;

    if ( ( m_psh.dwFlags & PSH_WIZARD ) == 0 )
        return ;

    bIsLastPage = ( ( _pPage == &m_IfBooleanExpPage )
                    || ( _pPage == &m_IfServerResponseTestPage )
                    || ( _pPage == &m_IfTextMatchPage ) ) ;

    GetDlgItem(ID_WIZFINISH)->EnableWindow( bIsLastPage ) ;
    GetDlgItem(ID_WIZNEXT)->EnableWindow( !bIsLastPage ) ;
    GetDlgItem(ID_WIZBACK)->EnableWindow( _pPage != &m_IfGeneralPage ) ;
}

BOOL CIfPSheet::OnInitDialog()
{
    BOOL bResult = CExtendedPropertySheet::OnInitDialog();

    //Show the context sensitive help ? button
    LONG style = ::GetWindowLong(m_hWnd, GWL_EXSTYLE);
    style |= WS_EX_CONTEXTHELP;
    ::SetWindowLong(m_hWnd, GWL_EXSTYLE, style);

    return bResult;
}
