/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// IfStructures.h: interface for the CIfInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IFSTRUCTURES_H__766D0393_270D_11D4_AC98_00105A483E3C__INCLUDED_)
#define AFX_IFSTRUCTURES_H__766D0393_270D_11D4_AC98_00105A483E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//---------------------------------------------------------------------------

class CIfValueType
{
public:
    CIfValueType();
    virtual ~CIfValueType();

    enum IfValueTypes
    {
        enBooleanExpression,
        enServerResponseTest,
        enTextMatching
    } m_nIfValueType;
};

//---------------------------------------------------------------------------

class CIfBooleanExpression
{
public:
    CIfBooleanExpression();
    virtual ~CIfBooleanExpression();

    CString m_strBooleanExpression;
};

//---------------------------------------------------------------------------

class CIfServerResponseTest
{
public:
    CIfServerResponseTest();
    virtual ~CIfServerResponseTest();

    CString m_strServerResponseURL;
    int m_nServerResponseURLConId;
    int m_nResponseTime;
};

//---------------------------------------------------------------------------

class CIfTextMatch
{
public:
    CIfTextMatch();
    virtual ~CIfTextMatch();

    CString m_strTextMatchURL;
    int m_nTextMatchURLConId;
    CString m_strTextToMatch;
};

//---------------------------------------------------------------------------

class CIfInfo
{
public:
    CIfInfo();
    virtual ~CIfInfo();

    CIfValueType m_ValueType;
    CIfBooleanExpression m_BooleanExpression;
    CIfServerResponseTest m_ServerResponseTest;
    CIfTextMatch m_TextMatch;
};

//---------------------------------------------------------------------------

#endif // !defined(AFX_IFSTRUCTURES_H__766D0393_270D_11D4_AC98_00105A483E3C__INCLUDED_)
