/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// LoopExpressionPPage.cpp : implementation file
//

#include "stdafx.h"
#include "LoopExpressionPPage.h"
#include "htmlhelp.h"
#include "Help\LoopExpressionPPage.inl"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLoopExpressionPPage property page

IMPLEMENT_DYNCREATE(CLoopExpressionPPage, CExtendedPropertyPage)

CLoopExpressionPPage::CLoopExpressionPPage(CLoopExpression* _pLoopExpression) :
        CExtendedPropertyPage(CLoopExpressionPPage::IDD)
{
    ASSERT(_pLoopExpression!=NULL);
    m_pLoopExpression = _pLoopExpression;
    //{{AFX_DATA_INIT(CLoopExpressionPPage)
    m_strLoopExpression = _T("");
    //}}AFX_DATA_INIT
}


CLoopExpressionPPage::~CLoopExpressionPPage()
{}


void CLoopExpressionPPage::DoDataExchange(CDataExchange* pDX)
{
    CExtendedPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CLoopExpressionPPage)
    DDX_Text(pDX, IDC_LOOP_EXPRESSION_EDIT, m_strLoopExpression);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CLoopExpressionPPage, CExtendedPropertyPage)
//{{AFX_MSG_MAP(CLoopExpressionPPage)
ON_WM_CTLCOLOR()
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLoopExpressionPPage message handlers

BOOL CLoopExpressionPPage::OnInitDialog()
{
    CExtendedPropertyPage::OnInitDialog();

    Values2Ctrl();

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CLoopExpressionPPage::Ctrl2Values()
{
    UpdateData();

    m_pLoopExpression->m_strLoopExpression = m_strLoopExpression;
}

void CLoopExpressionPPage::Values2Ctrl()
{
    m_strLoopExpression = m_pLoopExpression->m_strLoopExpression;

    UpdateData(FALSE);
}


HBRUSH CLoopExpressionPPage::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hbr = CExtendedPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);

    if( nCtlColor == CTLCOLOR_STATIC && pWnd->m_hWnd == GetDlgItem(IDC_DESCRIPTION)->m_hWnd)
    {
        pDC->SetTextColor( RGB( 0 , 0 , 255 ) ) ;
    }

    // TODO: Return a different brush if the default is not desired
    return hbr;
}

BOOL CLoopExpressionPPage::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp;
    contextHelp.LoadString(IDS_MODELLER_HELP_FILE);
    contextHelp= getenv("CYRANO_HOME")+contextHelp+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
