/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__9D2B815F_F0E1_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_MAINFRM_H__9D2B815F_F0E1_11D3_AC83_00105A483E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <SpawnMDIFrameWnd.h>
#include "Modeller.h"

#define TBAR_STANDARD           AFX_IDW_TOOLBAR
#define TBAR_CAPTURE            AFX_IDW_TOOLBAR + 5
#define TBAR_FILTER             AFX_IDW_TOOLBAR + 6
#define TBAR_VARIABLE           AFX_IDW_TOOLBAR + 7

//MainFrame Toolbar
static UINT BASED_CODE fileButtons[] =
    {
        ID_FILE_NEW,
        ID_FILE_OPEN,
        ID_FILE_SAVE,
        ID_SEPARATOR,
        ID_EDIT_CUT,
        ID_EDIT_COPY,
        ID_EDIT_PASTE,
        ID_SEPARATOR,
        ID_EDIT_FIND,
        ID_SEPARATOR,
        ID_EDIT_UNDO,
        ID_EDIT_REDO,
        ID_SEPARATOR,
        ID_FILE_PRINT,
        ID_APP_ABOUT,
    };

static UINT BASED_CODE CaptureButtons[] =
    {
        ID_CAPTURE_RECORD,
        ID_CAPTURE_STOP,
        ID_CAPTURE_PAUSE,
        ID_CAPTURE_REPLAY,
        ID_SCL_COMMENT,
        ID_SEPARATOR,
        ID_CAPTURE_CHECK,
    };

static UINT BASED_CODE VariableButtons[] =
    {
        IDM_VARIABLE_CREATE,
        IDM_VARIABLE_MODIFY,
    };

class CMainFrame : public CBCGMDIFrameWnd
{
    DECLARE_DYNAMIC(CMainFrame)

public:
    CBCGToolBar    m_MainToolBar;
    CBCGToolBar    m_CaptureToolBar;
    CBCGToolBar    m_VariableToolBar;

public:
    CMainFrame();

    // Attributes
public:
    CCPersistentObject*     m_pMainWndInfo;

    // Operations
public:
    void ReadInfo();
    void SaveInfo();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CMainFrame)
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CMainFrame();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
    CStatusBar            m_wndStatusBar;

    // Generated message map functions
protected:
    //{{AFX_MSG(CMainFrame)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg LRESULT OnGetAppArgs( WPARAM wFlags , LPARAM pParam ) ;
    afx_msg void OnDestroy();
    afx_msg void OnHelpContents();
    afx_msg void OnHelpIndex();
    afx_msg void OnHelpSearch();
    afx_msg void OnHelpSclreference();
    //}}AFX_MSG
    afx_msg LRESULT OnCaretPosChanged(WPARAM,LPARAM);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__9D2B815F_F0E1_11D3_AC83_00105A483E3C__INCLUDED_)
