/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OutputCheckView.cpp : implementation file
//

#include "stdafx.h"
#include "Modeller.h"
#include "VariousObject.h"
#include "OutputCheckView.h"

#include "Constantes.h"
#include "ModellerDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CModellerApp theApp ;


//---------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(COutputCheckExtendedEditCtrl, COSEditCtrl)
//{{AFX_MSG_MAP(COutputCheckExtendedEditCtrl)
ON_WM_LBUTTONDBLCLK()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//---------------------------------------------------------------------------

COutputCheckExtendedEditCtrl::COutputCheckExtendedEditCtrl(CView* pParent ,LPCSTR pczRegistryPath  ):
        COSEditCtrl( pczRegistryPath ),
        m_pParent( pParent )
{}

//---------------------------------------------------------------------------


COutputCheckExtendedEditCtrl::~COutputCheckExtendedEditCtrl()
{}



//---------------------------------------------------------------------------


void COutputCheckExtendedEditCtrl::DoOwnerContextMenu( CMenu *pMenu )
{
    /*$$$OSCExtendedEditCtrl::DoOwnerContextMenu( pMenu ) ;
    //---
    int nCount = pMenu->GetMenuItemCount( ) ;
    pMenu->RemoveMenu( nCount - 2 , MF_BYPOSITION );
    pMenu->RemoveMenu( nCount - 2 , MF_BYPOSITION );*/
}

//---------------------------------------------------------------------------

void COutputCheckExtendedEditCtrl::OnLButtonDblClk(UINT nFlags, CPoint point)
{
    int nCurLine;

    nCurLine = GetCurrentLine();
    SelectLine( nCurLine );

    CString strText = GetString( nCurLine, nCurLine );
    if( strText.Find( STR_ERROR ) >= 0 )
    {
        int nPos = strText.Find('(');
        CString strLine = strText.Right( strText.GetLength() - nPos - 1 ) ;
        long lRow = 0 ;
        nPos = strLine.Find(')');
        strLine = strLine.Left( nPos ) ;
        lRow = atol( strLine ) ;
        static_cast<CModellerDoc*>(m_pParent->GetDocument() )->SetErrorLine( lRow ) ;
    }

    COSEditCtrl::OnLButtonDblClk(nFlags, point);
}


//---------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(COutputCheckView, CView)

//---------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(COutputCheckView, CView)
//{{AFX_MSG_MAP(COutputCheckView)
ON_WM_CREATE()
ON_WM_SIZE()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//---------------------------------------------------------------------------

COutputCheckView::COutputCheckView()
        :m_Editor( this , theApp.GetRegistryPath() )
{}

//---------------------------------------------------------------------------


COutputCheckView::~COutputCheckView()
{}

/////////////////////////////////////////////////////////////////////////////
// COutputCheckView drawing
//---------------------------------------------------------------------------


void COutputCheckView::OnDraw(CDC* pDC)
{
    CDocument* pDoc = GetDocument();
    // TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// COutputCheckView diagnostics
//---------------------------------------------------------------------------


#ifdef _DEBUG
void COutputCheckView::AssertValid() const
{
    CView::AssertValid();
}

//---------------------------------------------------------------------------

void COutputCheckView::Dump(CDumpContext& dc) const
{
    CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// COutputCheckView message handlers
//---------------------------------------------------------------------------

void COutputCheckView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint)
{
    if( lHint == ID_SCL_CHECKER )
        m_Editor.SetWindowText(((CStringObject*)pHint)->m_strObject ) ;
}

//---------------------------------------------------------------------------

COSEditCtrl* COutputCheckView::GetEditCtrl()
{
    return &m_Editor ;
}

//---------------------------------------------------------------------------

BOOL COutputCheckView::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo)
{
    if(m_Editor.OnCmdMsg(nID,nCode,pExtra,pHandlerInfo))
        return true;

    return CView::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}

//---------------------------------------------------------------------------

int COutputCheckView::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CView::OnCreate(lpCreateStruct) == -1)
        return -1;

    if ( m_Editor.Create( WS_CHILD | WS_VISIBLE | WS_VSCROLL, CRect( 0, 0, 100, 100 ), this, 100 ) == -1 )
        return -1;

    m_Editor.SetReadOnly(TRUE);

    return 0;
}

//---------------------------------------------------------------------------

void COutputCheckView::OnSize(UINT nType, int cx, int cy)
{
    CView::OnSize(nType, cx, cy);

    if ( m_Editor.m_hWnd )
        m_Editor.SetWindowPos( NULL, -1, -1, cx, cy, SWP_NOZORDER | SWP_NOMOVE );
}
