#if !defined(AFX_OUTPUTTRACEVIEW_H__2A3A949B_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_OUTPUTTRACEVIEW_H__2A3A949B_F33E_11D3_AC83_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OutputTraceView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COutputTraceView view
#include <OSEditCtrl.h>

class COutputTraceExtendedEditCtrl : public COSEditCtrl
{
    CView              *m_pParent ;

public :
    COutputTraceExtendedEditCtrl(CView* pParent = NULL ,LPCSTR pczRegistryPath = NULL ) ;
    ~COutputTraceExtendedEditCtrl() ;

protected:
    //{{AFX_MSG(COutputCheckExtendedEditCtrl)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
} ;


class COutputTraceView : public CView
{
    COutputTraceExtendedEditCtrl             m_Editor ;

protected:
    COutputTraceView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(COutputTraceView)

    virtual COSEditCtrl* GetEditCtrl() ;

    // Attributes
public:
    void AddText(char *szText);

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(COutputTraceView)
public:
    virtual void OnInitialUpdate();
    virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
protected:
    virtual void OnDraw(CDC* pDC);      // overridden to draw this view
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~COutputTraceView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
protected:
    //{{AFX_MSG(COutputTraceView)
    afx_msg void OnDestroy();
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CWinThread *m_pGatewayTraceThread;
    HANDLE m_hGatewayTracePipe;

    void SetupGatewayTracePipe();
    static UINT GatewayTraceThread(LPVOID lpParam);
    SECURITY_ATTRIBUTES m_saGatewayTracePipe;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTPUTTRACEVIEW_H__2A3A949B_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
