/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ProjectOpenPPage.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "ProjectOpenDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "htmlhelp.h"
#include "Help\ProjectOpenPPage.inl"

extern CModellerApp theApp ;

/////////////////////////////////////////////////////////////////////////////
// CProjectOpenDlg property page
//---------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CProjectOpenDlg, CDialog)

//---------------------------------------------------------------------------

CProjectOpenDlg::CProjectOpenDlg() :
        CDialog(CProjectOpenDlg::IDD)
{
    //{{AFX_DATA_INIT(CProjectOpenDlg)
    // NOTE: the ClassWizard will add member initialization here
    //}}AFX_DATA_INIT
}

//---------------------------------------------------------------------------


CProjectOpenDlg::~CProjectOpenDlg()
{}

//---------------------------------------------------------------------------


void CProjectOpenDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CProjectOpenDlg)
    DDX_Control(pDX, IDC_LIST_PROJECT, m_ProjectList);
    //}}AFX_DATA_MAP
}

//---------------------------------------------------------------------------


BEGIN_MESSAGE_MAP(CProjectOpenDlg, CDialog)
//{{AFX_MSG_MAP(CProjectOpenDlg)
ON_WM_CTLCOLOR()
ON_NOTIFY(NM_DBLCLK, IDC_LIST_PROJECT, OnDblclkListProject)
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProjectOpenDlg message handlers
//---------------------------------------------------------------------------

BOOL CProjectOpenDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    CWaitCursor wc;

    InitList() ;
    FillList() ;
    return TRUE;
}

//---------------------------------------------------------------------------


HBRUSH CProjectOpenDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);

    if( nCtlColor == CTLCOLOR_STATIC && pWnd->m_hWnd == GetDlgItem(IDC_PRESENT_PROJECT)->m_hWnd )
    {
        pDC->SetTextColor( RGB( 0 , 0 , 255 ) ) ;
    }
    return hbr;
}

//---------------------------------------------------------------------------

void CProjectOpenDlg::FillList()
{
    CStringArray arstrProjects;
    theApp.m_RepositoryAPI.GetImpactProjectList( arstrProjects ) ;

    for( int nIndex = 0 ; nIndex < arstrProjects.GetSize() ; nIndex ++ )
        m_ProjectList.InsertItem( nIndex , arstrProjects[nIndex]) ;
}

//---------------------------------------------------------------------------

BOOL CProjectOpenDlg::InitList()
{
    CBitmap bmp ;

    //Image List
    if( ! m_imlNormal.Create( 16, 16, ILC_COLOR32|ILC_MASK, 0, 1 ) )
        return FALSE;


    bmp.LoadBitmap(IDB_PROJECT);
    m_imlNormal.Add( &bmp, RGB(0,128,128));
    bmp.DeleteObject();

    m_ProjectList.SetImageList( &m_imlNormal ,LVSIL_SMALL ) ;

    return TRUE ;

}

//---------------------------------------------------------------------------

void CProjectOpenDlg::OnDblclkListProject(NMHDR* pNMHDR, LRESULT* pResult)
{
    OnOK();

    *pResult = 0;
}

//---------------------------------------------------------------------------

BOOL CProjectOpenDlg::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp;
    contextHelp.LoadString(IDS_MODELLER_HELP_FILE);
    contextHelp= getenv("CYRANO_HOME")+contextHelp+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}

void CProjectOpenDlg::OnOK()
{
    POSITION pos = m_ProjectList.GetFirstSelectedItemPosition( ) ;
    if( pos )
    {
        int nItem = m_ProjectList.GetNextSelectedItem( pos ) ;

        m_strProject = m_ProjectList.GetItemText(nItem,0);
    }

    CDialog::OnOK();
}
