/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// VIPSheet.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "VIPSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVIPSheet

IMPLEMENT_DYNAMIC(CVIPSheet, CExtendedPropertySheet)

CVIPSheet::CVIPSheet(BOOL _bCreate,CVIInfo * _pVIInfo,CSCLStructure* _pSCLStructure)
        :CExtendedPropertySheet("Variable Initialisation"),
        m_SyncEventPPage(&_pVIInfo->m_SyncEvent,_pSCLStructure),
        m_VariablisationPPage(_pVIInfo)
{
    AddPage(&m_SyncEventPPage);
    AddPage(&m_VariablisationPPage);

    if(_bCreate)
        SetWizardMode();
}

CVIPSheet::~CVIPSheet()
{}



BEGIN_MESSAGE_MAP(CVIPSheet, CExtendedPropertySheet)
//{{AFX_MSG_MAP(CVIPSheet)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVIPSheet message handlers

BOOL CVIPSheet::OnInitDialog()
{
    BOOL bResult = CExtendedPropertySheet::OnInitDialog();

    //Show the context sensitive help ? button
    LONG style = ::GetWindowLong(m_hWnd, GWL_EXSTYLE);
    style |= WS_EX_CONTEXTHELP;
    ::SetWindowLong(m_hWnd, GWL_EXSTYLE, style);

    return bResult;
}
