/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// VIStructures.h: interface for the CVISysncEvent class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VISTRUCTURES_H__3F105F77_2813_11D4_BD99_00C04F89E392__INCLUDED_)
#define AFX_VISTRUCTURES_H__3F105F77_2813_11D4_BD99_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//---------------------------------------------------------------------------

class CVISyncEvent
{
public:
    CVISyncEvent();
    virtual ~CVISyncEvent();

    CString m_strSyncEventURL;
    int     m_nSyncEventURLConId;
    long    m_lGETBeginLine;
    long    m_lGETEndLine;
    BOOL    m_bPrimary;
    long    m_lCurrentLine;
};

//---------------------------------------------------------------------------

class CVIArgInfo
{
public:
    CVIArgInfo();
    CVIArgInfo( CString _strArgument, CString _strValue, BOOL _bValueIsVarName );
    virtual ~CVIArgInfo();

    CString     m_strArgument ;
    CString     m_strValue ;
    BOOL        m_bValueIsVarName ;
};

//---------------------------------------------------------------------------

class CVIVariablisation
{
public:
    CVIVariablisation();
    virtual ~CVIVariablisation();

    CString m_strBeginURL ;
    CString m_strEndURL ;
    CTypedPtrArray<CPtrArray, CVIArgInfo*> m_arArgInfo;

    void Reset() ;
};

//---------------------------------------------------------------------------

class CVIInfo
{
public:
    CVIInfo();
    virtual ~CVIInfo();

    CVISyncEvent m_SyncEvent;
    CVIVariablisation m_Variablisation;
};

//---------------------------------------------------------------------------

#endif // !defined(AFX_VISTRUCTURES_H__3F105F77_2813_11D4_BD99_00C04F89E392__INCLUDED_)
