#ifndef __VARDBTableList_H__
#define __VARDBTableList_H__
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/



#include <Table.h>

//---------------------------------------------------------------------------

#define DB_ELEMENT_CHAR_SIZE         255

//Internal Cache for the data

typedef struct
{
    SQLCHAR                       m_strQualifier[DB_ELEMENT_CHAR_SIZE];
    SDWORD                        m_strQualifierInd;
    SQLCHAR                       m_strOwner[DB_ELEMENT_CHAR_SIZE];
    SDWORD                        m_strOwnerInd;
    SQLCHAR                       m_strName[DB_ELEMENT_CHAR_SIZE];
    SDWORD                        m_strNameInd;
    SQLCHAR                       m_strType[DB_ELEMENT_CHAR_SIZE];
    SDWORD                        m_strTypeInd;
    SQLCHAR                       m_strRemarks[DB_ELEMENT_CHAR_SIZE];
    SDWORD                        m_strRemarksInd;
}
FF_DB_ELEMENT_SET_FIELDS, *pFF_DB_ELEMENT_SET_FIELDS;

//structure to hold the final data

typedef struct
{
    CString m_strQualifier;
    CString m_strOwner;
    CString m_strName;
    CString m_strType;
    CString m_strRemarks;

}
DB_ELEMENT_SET_FIELDS, *pDB_ELEMENT_SET_FIELDS;

//--------------------------------------------------------------------------

class CVarDBTableList : public CDBTable
{

public:
    CVarDBTableList(CDatabase* pDatabase = NULL) ;
    ~CVarDBTableList() ;

    BOOL Load() ;
    void Reset() ;

    CStringArray m_astrOwner;

    CTypedPtrArray <CPtrArray, pDB_ELEMENT_SET_FIELDS> m_aData ;

};

#endif
