#if !defined(AFX_VARHTMLPPAGE_H__0DA0FA94_2656_11D4_BEBE_00A024AC5351__INCLUDED_)
#define AFX_VARHTMLPPAGE_H__0DA0FA94_2656_11D4_BEBE_00A024AC5351__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarHTMLPPage.h : header file
//

#include <VarStructures.h>
#include "ExtendedComboBox.h"
#include "ExtendedPropertyPage.h"
#include <DomStructure.h>
#include <SCLStructure.h>

/////////////////////////////////////////////////////////////////////////////
// CVarHTMLPPage dialog

class CVarHTMLPPage : public CExtendedPropertyPage
{
    DECLARE_DYNCREATE(CVarHTMLPPage)

public:

    // Construction
    CExtendedComboBox   m_HTMLFileCombo;
    CListCtrl           m_HTMLElementList;
    CVarValueList *     m_pVarValueList;
    CDOMStructure       m_DOMStructure;
    CString             m_strALLFileName;
    CSCLStructure *     m_pSCLStructure;

    CVarHTMLPPage( CVarValueList *      _pVarValueList = NULL,
                   CSCLStructure *      _pSCLStructure = NULL,
                   CString              _strALLFileName = "" );
    ~CVarHTMLPPage();

    void SearchTagSELECT( CTagList * _pTagList ) ;
    void SearchTagOPTION( CTagList * _pTagList ) ;
    void GetTagText( CTag* pTag, CString * _strTagText) ;
    BOOL GetAttributeValue( CTag* _pTag, const char * _strAttributeName, CString * _strAttributeValue ) ;
    void InsertTagValueInValueList(CTag * _pTag) ;
    void InsertTagNameInList( CTag * _pTag ) ;
    void ShowElements() ;

    // Dialog Data
    //{{AFX_DATA(CVarHTMLPPage)
    enum { IDD = IDD_VAR_HTML_PPAGE };
    // NOTE - ClassWizard will add data members here.
    //    DO NOT EDIT what you see in these blocks of generated code !
    //}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CVarHTMLPPage)
public:
    virtual LRESULT OnWizardBack();
    virtual LRESULT OnWizardNext();
    virtual void Ctrl2Values() ;
    virtual void Values2Ctrl() ;
    virtual BOOL OnSetActive();
    virtual BOOL Verify();
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CVarHTMLPPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnSelchangeVarpageCombo();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARHTMLPPAGE_H__0DA0FA94_2656_11D4_BEBE_00A024AC5351__INCLUDED_)
