/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// VarPSheet.cpp : implementation file
//

#include "stdafx.h"
#include "VarPSheet.h"
#include "Constantes.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//---------------------------------------------------------------------------

IMPLEMENT_DYNAMIC(CVarPSheet, CExtendedPropertySheet)

//---------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(CVarPSheet, CExtendedPropertySheet)
//{{AFX_MSG_MAP(CVarPSheet)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//---------------------------------------------------------------------------

CVarPSheet::CVarPSheet( CVarInfo * _pVarInfo, BOOL _bCreate, BOOL _bFile,
                        CSCLStructure * _pSCLStructure, CString _strALLFileName )
        :CExtendedPropertySheet("Variable"),
        m_Page1(&(_pVarInfo->m_VarGeneral), _bCreate),
        m_Page10(_pVarInfo),
        m_Page20(&(_pVarInfo->m_VarFile), _bCreate),
        m_Page30(&(_pVarInfo->m_VarValueList), _pSCLStructure, _strALLFileName ),
        m_Page32(_pVarInfo),
        m_Page40(&(_pVarInfo->m_VarDBParam)),
        m_Page41(&(_pVarInfo->m_VarDBParam)),
        m_Page42(&(_pVarInfo->m_VarDBParam)),
        m_Page43(&(_pVarInfo->m_VarDBParam)),
        m_Page44(_pVarInfo)
{
    if(_bCreate)    // Create Mode
    {
        AddPage(&m_Page1) ;
        AddPage(&m_Page10) ;
        AddPage(&m_Page20) ;
        AddPage(&m_Page30) ;
        AddPage(&m_Page32) ;
        AddPage(&m_Page40) ;
        AddPage(&m_Page41) ;
        AddPage(&m_Page42) ;
        AddPage(&m_Page43) ;
        AddPage(&m_Page44) ;
        SetWizardMode() ;
    }
    else            // Modifiy Mode
    {
        if(_bFile)               // File Mode
        {
            AddPage(&m_Page1) ;
            AddPage(&m_Page20) ;
        }
        else                    // ValueList Mode
        {
            AddPage(&m_Page1) ;
            AddPage(&m_Page10) ;
        }
    }
}

//---------------------------------------------------------------------------

CVarPSheet::~CVarPSheet()
{
}

//---------------------------------------------------------------------------


void CVarPSheet::OnSetActive( CExtendedPropertyPage* _pPage )
{
    BOOL bIsLastPage ;

    if ( ( m_psh.dwFlags & PSH_WIZARD ) == 0 )
        return ;

    bIsLastPage = ( ( _pPage == &m_Page10 ) || ( _pPage == &m_Page20 ) || ( _pPage == &m_Page32 ) || ( _pPage == &m_Page44 ) ) ;

    GetDlgItem(ID_WIZFINISH)->EnableWindow( bIsLastPage ) ;
    GetDlgItem(ID_WIZNEXT)->EnableWindow( !bIsLastPage ) ;
    GetDlgItem(ID_WIZBACK)->EnableWindow( _pPage != &m_Page1 ) ;
}


BOOL CVarPSheet::OnInitDialog()
{
    BOOL bResult = CExtendedPropertySheet::OnInitDialog();

    //Show the context sensitive help ? button
    LONG style = ::GetWindowLong(m_hWnd, GWL_EXSTYLE);
    style |= WS_EX_CONTEXTHELP;
    ::SetWindowLong(m_hWnd, GWL_EXSTYLE, style);

    return bResult;
}
