/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// Stingray Objective Toolkit
// AppWizard generated file
// dockwnd.cpp : implementation file
//

#include "stdafx.h"
#include "CECFloorWnd.h"
#include "resource.h"
#include "CECCommander.h"
#include "..\Common\CECDLLFunctions.h"
#include "..\Interfaces\CyrPlugIns.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CECFloorWnd

CECFloorWnd::CECFloorWnd()
{
    m_childWnd = NULL;
}

CECFloorWnd::CECFloorWnd(const CString& szName, UINT nType)
{
    SetName (szName);
    SetType (nType);
    m_childWnd = NULL;
}

CECFloorWnd::~CECFloorWnd()
{
    if(m_childWnd != NULL)
    {
        delete m_childWnd;
        m_childWnd = NULL;
    }
}


BEGIN_MESSAGE_MAP(CECFloorWnd, CBCGSizingControlBar)
//{{AFX_MSG_MAP(CECFloorWnd)
ON_WM_CREATE()
ON_WM_SIZE()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CECFloorWnd message handlers

int CECFloorWnd::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CBCGSizingControlBar::OnCreate(lpCreateStruct) == -1)
        return -1;

    CECCommanderApp* pApp = (CECCommanderApp*)AfxGetApp();
    CECDLLFunctions* pDllLoader = pApp->GetDLLLoader();


    switch (m_nType)
    {
    case FLOOR_WINDOW:
        {
            break;
        }
    case PROJECT_WINDOW:
        {
            CString projType = pApp->GetCoreProductTitle();
            LPCREATEDOCWNDFUNC CreateDockWnd = (LPCREATEDOCWNDFUNC)pDllLoader->GetFunctionPtr("CreateDockWnd", projType);
            if (CreateDockWnd == NULL || CreateDockWnd == FALSE)
            {
                CreateDockWnd = (LPCREATEDOCWNDFUNC)pDllLoader->GetFunctionPtr("CreateDockWnd", "Generic0");
            }
            if(m_childWnd != NULL)
            {
                delete m_childWnd;
                m_childWnd = NULL;
            }
            if(CreateDockWnd)
            {
                m_childWnd = (CWnd*)CreateDockWnd(this);

                //              SetForcedChildWndRedraw(m_childWnd->GetSafeHwnd());
            }


            break;
        }
    }

    return 0;
}

void CECFloorWnd::OnSize(UINT nType, int cx, int cy)
{
    CBCGSizingControlBar::OnSize(nType, cx, cy);
    if (m_childWnd != NULL && m_childWnd->m_hWnd != NULL)
    {
        CRect rc;
        //      GetInsideRect(rc);
        GetClientRect(rc);
        m_childWnd->SetWindowPos(NULL,rc.left,rc.top,rc.Width(),rc.Height(),SWP_NOZORDER);
    }
}

