#if !defined(AFX_CECMAINFRAME_H__F34E9033_6853_11D4_A6DA_00500447FC27__INCLUDED_)
#define AFX_CECMAINFRAME_H__F34E9033_6853_11D4_A6DA_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECMainFrame.h : header file
//
#include "CECGlobalCmdTarget.h"
#include "CECFloorWnd.h"
#include "FullScreenDlg.h"
#include "CECOutputView.h"
/////////////////////////////////////////////////////////////////////////////
// CECMainFrame window

class CECMainFrame : public CECGlobalCmdTarget
{
    DECLARE_DYNAMIC(CECMainFrame)

    // Construction
public:
    CECMainFrame();

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECMainFrame)
    //}}AFX_VIRTUAL
    BOOL LoadFrame(UINT nIDResource, DWORD dwDefaultStyle = WS_OVERLAPPEDWINDOW | FWS_ADDTOTITLE, CWnd* pParentWnd = NULL, CCreateContext* pContext = NULL);

    // Implementation
public:
    void ShowFullScreen(BOOL bShow);
    virtual ~CECMainFrame();
    BOOL CreateStudioFloorView();
    BOOL CreateStudioOutputView();
    CECFloorWnd*      m_wndFloor;
    void ActivateOutputWnd(CWnd *pOutWnd);
    // @cmember OutputView variable
    CECOutputView       m_wndOutputView;

    // Generated message map functions
protected:
    //{{AFX_MSG(CECMainFrame)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnViewFullscreen();
    afx_msg void OnUpdateViewFullscreen(CCmdUI* pCmdUI);
    afx_msg void OnToolsTestwizard();
    afx_msg void OnUpdateToolsTestwizard(CCmdUI* pCmdUI);
    afx_msg void OnClose();
    afx_msg void OnProjectWorkspaceSave();
    afx_msg void OnProjectWorkspaceRestore();
    afx_msg void OnDestroy();
    afx_msg void OnViewFloorviewer();
    afx_msg void OnUpdateViewFloorviewer(CCmdUI* pCmdUI);
    afx_msg void OnViewOutputwindow();
    afx_msg void OnUpdateViewOutputwindow(CCmdUI* pCmdUI);
    afx_msg void OnVisitWebSite();
    afx_msg void OnHelpContents();
    afx_msg void OnHelpIndex();
    afx_msg void OnHelpSearch();
    afx_msg void OnHelpOpenSTAProductWebsite();
    afx_msg void OnWindowManage();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CFullScreenDlg *m_pFullScreenDlg;
    //    The Window rectangle that will be restored
    CRect m_rcRestoreRect;

    BOOL m_bAutoSaveWorkspace;
    void ResetProjectWorkspace();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECMAINFRAME_H__F34E9033_6853_11D4_A6DA_00500447FC27__INCLUDED_)
