/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CECStatusBar.h
// --------------
//
//    This is the include file for the CECStatusBar class
//
//=========================================================================

#if !defined(AFX_CECSTATUSBAR_H__61F6F368_27BA_11D3_B6B2_00600856D1F5__INCLUDED_)
#define AFX_CECSTATUSBAR_H__61F6F368_27BA_11D3_B6B2_00600856D1F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECStatusBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECStatusBar window

class CECStatusBar : public CStatusBar
{
    // Construction
public:
    CECStatusBar();

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECStatusBar)
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CECStatusBar();

    void Play();
    void Stop();
    BOOL IsAnimationRunning()
    {
        return m_bAnimationRunning;
    }
    void AdvanceFrame();
    int  GetAnimationFrameDelay()
    {
        return 100;
    }
    void DrawCurrentFrame();

    // Generated message map functions
protected:
    //{{AFX_MSG(CECStatusBar)
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()
private:
    int m_nFrame;
    BOOL m_bAnimationRunning;

    UINT        GetBitmapID();
    CBitmap*    GetFrame();
    void        Reset()
    {
        m_nFrame = 0;
    }

    static UINT MultiThreadedPlayFunction( LPVOID pParam );

    virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
    void DrawCurrentFrame(CDC *pDC,const CRect& rcFrame);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECSTATUSBAR_H__61F6F368_27BA_11D3_B6B2_00600856D1F5__INCLUDED_)
