/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CYRWizardStartDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CECCommander.h"
#include "CYRWizardStartDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "..\..\HTMLHelp\Commander\Wizard_Start.inl"
#include "htmlhelp.h"

/////////////////////////////////////////////////////////////////////////////
// CYRWizardStartDlg dialog


CYRWizardStartDlg::CYRWizardStartDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CYRWizardStartDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CYRWizardStartDlg)
    // NOTE: the ClassWizard will add member initialization here
    //}}AFX_DATA_INIT
    m_pSelectedWizard = NULL;
    m_szHtmlHelpFile = getenv("CYRANO_HOME");
    m_szHtmlHelpFile += "\\Framework\\Help\\Commander.chm";
}


void CYRWizardStartDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CYRWizardStartDlg)
    DDX_Control(pDX, IDC_WIZARD_TYPES, m_ctlWizardTypes);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CYRWizardStartDlg, CDialog)
//{{AFX_MSG_MAP(CYRWizardStartDlg)
ON_LBN_DBLCLK(IDC_WIZARD_TYPES, OnDblclkWizardTypes)
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CYRWizardStartDlg message handlers
void CYRWizardStartDlg::AddWizard(WIZARDINFO *pWizard)
{
    m_arpWizards.Add(pWizard);
}

BOOL CYRWizardStartDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    for(int nNdx=m_arpWizards.GetSize()-1;nNdx>=0;nNdx--)
    {
        int nItem = m_ctlWizardTypes.AddString(((WIZARDINFO*)m_arpWizards[nNdx])->strName);
        m_ctlWizardTypes.SetItemDataPtr(nItem,m_arpWizards[nNdx]);
    }
    m_ctlWizardTypes.SetCurSel(0);
    m_arpWizards.RemoveAll();

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CYRWizardStartDlg::OnDblclkWizardTypes()
{
    OnOK();
}

void CYRWizardStartDlg::OnOK()
{
    int nCurSel = m_ctlWizardTypes.GetCurSel();
    if(nCurSel != LB_ERR)
    {
        m_pSelectedWizard = (WIZARDINFO*)m_ctlWizardTypes.GetItemDataPtr(nCurSel);

        CDialog::OnOK();
    }
}

BOOL CYRWizardStartDlg::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp = m_szHtmlHelpFile+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
