/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECTargetEnvironment.h: interface for the CECTargetEnvironment class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECTARGETENVIRONMENT_H__93AC9F83_B309_11D3_93C6_0060084D8878__INCLUDED_)
#define AFX_CECTARGETENVIRONMENT_H__93AC9F83_B309_11D3_93C6_0060084D8878__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//
//  PSL Macros.
//
extern "C"
{
#include "psl_macros.h"
#include "target_rtndef.h"  // Target/Executer routines
}


class CECTargetEnvironment
{
public:
    CECTargetEnvironment();
    virtual ~CECTargetEnvironment();

    // @cmember Set the current context
    int     SetCurrentContext (CString& Context);

    // @cmember Recover the current context
    void    GetCurrentContext (CString& Context) const;

    // @cmember Recover a string containing the list of targets (licenced)
    void    GetTargets (CStringArray& TargetArray) const;

    // @cmember Fill a combo box with a list of targets (licenced)
    void    GetTargets (CComboBox& ComboBox) const;

    // @cmember Invoke CYRANO Modeller to edit a TOF
    int InvokeModeller (enum TARGETID TargetID=TARGET_UNKNOWN ,const CString& ObjectName="") const;

    // @cmember Invoke CYRANO Recorder to record
    int InvokeRecorder (enum TARGETID TargetID=TARGET_UNKNOWN ,const CString& ObjectName = "") const;

    void GetTargets     (CListBox& ListBox) const;

private:
    // @cmember Check to see if this target has been authorized
    BOOL    IsTargetSupported   (char* pTarget) const;

    // @cmember Helper to check for authorization
    BOOL    IsTargetSupported   (enum TARGETID TargetID, BOOL bCheckAuthorized=TRUE) const;

    void    GetLicencedTargets  (CStringArray& TargetArray) const;

    void    GetInstalledTargets (CStringArray& TargetArray) const;

    // @cmember Invoke a specified executable
    void    InvokeImage         (const CString& ImageName) const;


};

#endif // !defined(AFX_CECTARGETENVIRONMENT_H__93AC9F83_B309_11D3_93C6_0060084D8878__INCLUDED_)
