#if !defined CYRCTRLS_H
#define CYRCTRLS_H
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#define TEXT_LEN        64

typedef struct CTRLSINFO
{
    char strName[TEXT_LEN];
    char strType[TEXT_LEN];
}
CTRLSINFO;

// DOCUMENTINFO
// ============
//
// This DOCUMENTINFO info adds a document template to the framework
//
// Please refer to CyrPlugIns.h for further info
typedef struct CTRLDOCUMENTINFO
{
    char strName[TEXT_LEN];
    char strFileExt[3];
    CMultiDocTemplate *pDocTemplate;
    DWORD dwStyles;
    GUID BASED_CODE clsid;

}
CTRLDOCUMENTINFO;

// RESOURCEINFO
// ============
//
// This structure is used to add in any resources to the framework
//
// Please refer to CyrPlugIns.h for further info
typedef struct CTRLRESOURCEINFO
{
    char strLabel[TEXT_LEN];                // Menu Text            ("&Execute")
    char strPreferredMenu[TEXT_LEN];        // Preffered Menu       ("&Settings")
    UINT nCommandID;                        // Button/Command ID    (IDB_EXECUTE_TEST)
    char strPreferredToolbar[TEXT_LEN];     // Preferred Toolbar    ("&Warp Toolkit")
    WORD dwStyles;

}
CTRLRESOURCEINFO;

typedef BOOL    ( * LPCTRLSFUNC)        (CTRLSINFO  *pCtrlsInfo);
typedef BOOL    ( * LPEXECUTEFUNC)      (CString ProjName, CString TestName, CString& ManagerName);
typedef BOOL    ( * LPMONITORFUNC)      (CString ManagerName);
typedef BOOL    ( * LPCTRLDOCFUNC)      (CTRLDOCUMENTINFO   *pDocInfo[]);
typedef BOOL    ( * LPCTRLRESFUNC)      (CTRLRESOURCEINFO   *pResourceInfo[]);
typedef BOOL    ( * LPCTRLONEVENT)      (UINT           *nID, UINT          *lParam);
typedef BOOL    ( * LPCTRLONUPDATE)     (UINT           *nID);



#endif
