/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

////////////////////////////////////////////////////////////////////////////////
// @doc     Document
// @module  AnalyzerDoc | Analyzer Document class header
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ANALYZERDOC_H__0BC06A71_4342_11D3_BE11_00A02456D506__INCLUDED_)
#define AFX_ANALYZERDOC_H__0BC06A71_4342_11D3_BE11_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// @class Analyzer Document class
// @base public | CDocument
class CAnalyzerDoc : public CDocument
{

    // @access Protected Members
protected: // create from serialization only

    // @cmember Constructor
    CAnalyzerDoc();
    DECLARE_DYNCREATE(CAnalyzerDoc)

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CAnalyzerDoc)
public:
    virtual BOOL OnNewDocument();
    virtual void Serialize(CArchive& ar);
protected:
    virtual BOOL SaveModified();
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CAnalyzerDoc();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif


protected:


    // Generated message map functions
protected:
    //{{AFX_MSG(CAnalyzerDoc)
    afx_msg void OnUpdateFileSave(CCmdUI *pCmdUI);
    afx_msg void OnUpdateFileSaveAs(CCmdUI *pCmdUI);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANALYZERDOC_H__0BC06A71_4342_11D3_BE11_00A02456D506__INCLUDED_)
