/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECCustomizeTitle.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "CECGlobalSettings.h"
#include "CECCustomizeTitle.h"
#include "htmlhelp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "..\..\..\HTMLHelp\CYRAnalyzer\Customize_Graph_Title.inl"

extern CECGlobalSettings* g_pGlobalSettings;
/////////////////////////////////////////////////////////////////////////////
// CECCustomizeTitle property page

IMPLEMENT_DYNCREATE(CECCustomizeTitle, CPropertyPage)

CECCustomizeTitle::CECCustomizeTitle() : CPropertyPage(CECCustomizeTitle::IDD)
{
    //{{AFX_DATA_INIT(CECCustomizeTitle)
    m_bDisplayTitle = FALSE;
    //}}AFX_DATA_INIT
    m_szHtmlHelpFile = getenv("CYRANO_HOME");
    m_szHtmlHelpFile += "\\Framework\\Help\\Commander.chm";

    m_FontCol.currentcolor = g_pGlobalSettings->m_TitleTextCol;
    m_BGCol.currentcolor = g_pGlobalSettings->m_TitleBGCol;
}

CECCustomizeTitle::~CECCustomizeTitle()
{}


void CECCustomizeTitle::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CECCustomizeTitle)
    DDX_Control(pDX, IDC_FONT, m_FontCombo);
    DDX_Check(pDX, IDC_DISPLAY_TITLE, m_bDisplayTitle);
    DDX_Control(pDX, IDC_FONT_COLOUR, m_FontCol);
    DDX_Control(pDX, IDC_START_COLOUR, m_BGCol);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CECCustomizeTitle, CPropertyPage)
//{{AFX_MSG_MAP(CECCustomizeTitle)
ON_WM_HELPINFO()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CECCustomizeTitle message handlers

BOOL CECCustomizeTitle::OnInitDialog()
{
    CPropertyPage::OnInitDialog();

    m_FontCol.currentcolor = g_pGlobalSettings->m_TitleTextCol;
    m_BGCol.currentcolor = g_pGlobalSettings->m_TitleBGCol;

    m_FontCombo.Initialize();
    int sel = m_FontCombo.FindStringExact(0, g_pGlobalSettings->m_TitleFont);
    m_FontCombo.SetCurSel(sel);

    m_bDisplayTitle = g_pGlobalSettings->m_bShowTitle;
    UpdateData(FALSE);

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CECCustomizeTitle::OnOK()
{
    UpdateData(TRUE);

    g_pGlobalSettings->m_TitleTextCol = m_FontCol.currentcolor;
    g_pGlobalSettings->m_TitleBGCol = m_BGCol.currentcolor;
    g_pGlobalSettings->m_bShowTitle = m_bDisplayTitle;

    int sel = m_FontCombo.GetCurSel();
    m_FontCombo.GetLBText(sel, g_pGlobalSettings->m_TitleFont);
}

BOOL CECCustomizeTitle::OnHelpInfo(HELPINFO* pHelpInfo)
{
    CString contextHelp = m_szHtmlHelpFile+"::whatisthis.txt";

    if (pHelpInfo->iCtrlId == IDC_STATIC)
        return true;

    CWnd* pWnd = GetDlgItem(pHelpInfo->iCtrlId);

    HtmlHelp(pWnd->m_hWnd, contextHelp, HH_TP_HELP_CONTEXTMENU, (DWORD)(LPVOID)g_TopicIdArray);

    return true;
}
