/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

////////////////////////////////////////////////////////////////////////////////
// @doc     Document
// @module  CECFilterDlg | Allows the user to filter the test run data
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECFILTERDLG_H__2FC652C3_32E0_11D3_BE0A_00A02456D506__INCLUDED_)
#define AFX_CECFILTERDLG_H__2FC652C3_32E0_11D3_BE0A_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECFilterDlg.h : header file
//

#include "CECVirtGridView.h"

/////////////////////////////////////////////////////////////////////////////
// CECFilterDlg dialog

// @class Modal dialog to filter data in the hidden grid
// @base public | CDialog
class CECFilterDlg : public CDialog
{
    // Construction

    // @access Public Members
public:

    // @cmember Constructor
    CECFilterDlg(CWnd* pParent = NULL);   // standard constructor

    // @cmember Sets the area of the grid on which the filtering is to be performed
    void SetDataRun(const CString& strTestRun);

    // @cmember Provides access to the hidden grid
    void SetGridPtr(CECVirtGridView* pGrid);

    // @cmember Arrange timer values in the grid for Impact Graph
    void ArrangeTimers();

    // Dialog Data
    //{{AFX_DATA(CECFilterDlg)
    enum { IDD = IDD_FILTER };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECFilterDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation

    // @access Protected Members
protected:

    // Generated message map functions
    //{{AFX_MSG(CECFilterDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    // @access Private Members
private:
    CString m_szHtmlHelpFile;

    // @cmember Reference to the hidden grid
    CECVirtGridView* m_pGrid;
    CString m_strTestRun;

    // @cmember Loads items from the specified grid column into the list box.
    void ListBoxLoader();

    // @cmember Applies a filter to the specified grid column using the selected
    //          items in the list box.
    void ListBoxFilter();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECFILTERDLG_H__2FC652C3_32E0_11D3_BE0A_00A02456D506__INCLUDED_)
