/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECSortedListView.h: interface for the CECSortedListView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECSORTEDLISTVIEW_H__9428038A_4342_11D3_BE11_00A02456D506__INCLUDED_)
#define AFX_CECSORTEDLISTVIEW_H__9428038A_4342_11D3_BE11_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CECVirtGridView.h"


class CECSortedListView : public CFormView
{

    // @access Public Members
public:
    //{{AFX_DATA(CECSummaryView)
    enum { IDD = IDD_LIST };
    CListCtrl m_ListCtrl;
    //}}AFX_DATA

    // @cmember Initialize the Grid with the given data set
    void Initialize(int RunIndex);

    // @cmember Constructor
    CECSortedListView();
    DECLARE_DYNCREATE(CECSortedListView)

    // @cmember Destructor
    virtual ~CECSortedListView();
    //{{AFX_VIRTUAL(CECSortedListView)
public:
    virtual void OnInitialUpdate();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL


    // @access Protected Members
protected:
    //{{AFX_MSG(CECSortedListView)
    afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
    afx_msg void OnCsvExport();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnGetdispinfoList(NMHDR* pNMHDR, LRESULT* pResult);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()


    CArray <Timer*,Timer*> m_arTimers;
    CString m_strTemp;
};

#endif // !defined(AFX_CECSORTEDLISTVIEW_H__9428038A_4342_11D3_BE11_00A02456D506__INCLUDED_)
