/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRNodeDefinitionDlg.h
// ----------------------
//
//    This is the include file for the CYRNodeDefinitionDlg class
//
//=========================================================================
#if !defined(AFX_CYRNODEDEFINITIONDLG_H__01196393_5C64_11D3_9F2A_00500487BD9B__INCLUDED_)
#define AFX_CYRNODEDEFINITIONDLG_H__01196393_5C64_11D3_9F2A_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CYRNodeDefinitionDlg.h : header file
//
#include "..\..\Common\CECDataNameCombo.h"

class CYRServer;
/////////////////////////////////////////////////////////////////////////////
// CYRNodeDefinitionDlg dialog

class CYRNodeDefinitionDlg : public CDialog
{
    // Construction
public:
    CYRNodeDefinitionDlg    (CString* pNodeToEdit=NULL
                             ,CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CYRNodeDefinitionDlg)
    enum { IDD = IDD_NODE_DEFINITION_DLG };
    CSpinButtonCtrl m_ctlPageSwapSpin;
    CSpinButtonCtrl m_ctlNetUseSpin;
    CSliderCtrl m_ctlCPUSlider;
    CString m_strPhysicalNode;
    CString m_strNodeName;
    int m_nNetUseThresh;
    CString m_strCPUThresh;
    int     m_nPageSwapThresh;
    //}}AFX_DATA
    CECDataNameCombo m_ctlNodeNameCombo;

    void GetNodeDefinition      (CString& NodeName);
    BOOL ValidateDefinition     ();
    void PrimeComboBox();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRNodeDefinitionDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CYRNodeDefinitionDlg)
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    afx_msg void OnAdvanced();
    afx_msg void OnChange();
    afx_msg void OnConfigureOta();
    afx_msg void OnChangePhysicalNode();
    afx_msg void OnCloseupNameCombo();
    afx_msg void OnDropdownNameCombo();
    afx_msg void OnEditupdateNameCombo();
    afx_msg void OnChangeNetUse();
    afx_msg void OnChangePageSwapping();
    //}}AFX_MSG
    afx_msg void OnUpdateAdvanced(CCmdUI *pCmdUI);
    afx_msg void OnUpdatePhysicalNode(CCmdUI *pCmdUI);
    afx_msg void OnUpdateNameCombo(CCmdUI *pCmdUI);
    DECLARE_MESSAGE_MAP()

    BOOL                CreateNodeFile  ();
private:
    CString m_szHtmlHelpFile;
    BOOL    ReadNode        (const CString& NodeName,CString& strPhysicalNode);

    // @cmember Path to the node dircetory within the project.
    CString         m_strNodeWorkDir;

    void ShowAdvanced();
    bool m_bAdvancedMode;
    void LoadThresholdsForNode();
    void SaveThresholdsForNode();
    void GenerateDefaultOTA();
    BOOL m_bModified;

    CYRServer *m_pServer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CYRNODEDEFINITIONDLG_H__01196393_5C64_11D3_9F2A_00500487BD9B__INCLUDED_)
