/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECProjectCreator.h: interface for the CECProjectCreator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECPROJECTCREATOR_H__310001DA_11B1_11D3_BDE6_00A02456D506__INCLUDED_)
#define AFX_CECPROJECTCREATOR_H__310001DA_11B1_11D3_BDE6_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CYRServer;
class CECProjectCreator
{
public:
    CECProjectCreator();
    virtual ~CECProjectCreator();
    BOOL Create(CString strName, CString strDesc);

private:
    CString m_strName;
    CString m_strDesc;
    void ImportResponseCodes(const CString& strProject);

    // Import some default trace settings into the project root directory
    void ImportTraceSettings(const CString& strProject);

    void CreateLocalInjector(const CString& strProject);
    void GenerateDefaultOTA(const CString& strProject);
    void GenerateGlobalVars(const CString& strProject);

    CYRServer* m_pServer;
};

#endif // !defined(AFX_CECPROJECTCREATOR_H__310001DA_11B1_11D3_BDE6_00A02456D506__INCLUDED_)
