/* Copyright (C) 2000 Cyrano SA

   This file is part of OpenSTA

   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.

   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html

   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc     TInterRecords.inl
///////////////////////////////////////////////////////////////////////////////

#include "TInterRecords.h"

// Define RTTI keys for each record type ...

// VARIABLE MANIPULATION

// TIMER
const AtvfKey TRcrdStimer::			KEY("Stimer");
const AtvfKey TRcrdEtimer::			KEY("Etimer");

const AtvfKey TRcrdAcmutex::			KEY("Acmutex");
const AtvfKey TRcrdRlmutex::			KEY("Rlmutex");
const AtvfKey TRcrdStsemaphore::		KEY("Stsemaphore");
const AtvfKey TRcrdWtsemaphore::		KEY("Wtsemaphore");
const AtvfKey TRcrdClsemaphore::		KEY("Clsemaphore");

// *****************************************************************************
// * TIMERS
// *****************************************************************************
const bool TRcrdStimer::_registeredCreator = TRcrdStimer::_RegisterCreator();
const bool TRcrdStimer::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdStimer::KEY] = new TRecMake<TRcrdStimer>();
	return true;
}

const bool TRcrdEtimer::_registeredCreator = TRcrdEtimer::_RegisterCreator();
const bool TRcrdEtimer::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdEtimer::KEY] = new TRecMake<TRcrdEtimer>();
	return true;
}


// *****************************************************************************
// * SYNCHRONISATION
// *****************************************************************************

const bool TRcrdAcmutex::_registeredCreator = TRcrdAcmutex::_RegisterCreator();
const bool TRcrdAcmutex::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdAcmutex::KEY] = new TRecMake<TRcrdAcmutex>();
	return true;
}

const bool TRcrdRlmutex::_registeredCreator = TRcrdRlmutex::_RegisterCreator();
const bool TRcrdRlmutex::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdRlmutex::KEY] = new TRecMake<TRcrdRlmutex>();
	return true;
}

const bool TRcrdStsemaphore::_registeredCreator = TRcrdStsemaphore::_RegisterCreator();
const bool TRcrdStsemaphore::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdStsemaphore::KEY] = new TRecMake<TRcrdStsemaphore>();
	return true;
}

const bool TRcrdWtsemaphore::_registeredCreator = TRcrdWtsemaphore::_RegisterCreator();
const bool TRcrdWtsemaphore::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdWtsemaphore::KEY] = new TRecMake<TRcrdWtsemaphore>();
	return true;
}

const bool TRcrdClsemaphore::_registeredCreator = TRcrdClsemaphore::_RegisterCreator();
const bool TRcrdClsemaphore::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdClsemaphore::KEY] = new TRecMake<TRcrdClsemaphore>();
	return true;
}

