/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// mdb_ctime returns date and time in string

#include <string>

#ifndef CYR_NO_STD_NAMESPACE
using namespace std;
#endif

extern "C"
{
#include <stdio.h>
#include <time.h>
}

// Month name array. NOTE: Index starts at zero as does
// month member in tm struct used below.
static const char * months[] =
    {
        "JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL",
        "AUG", "SEP", "OCT", "NOV", "DEC"
    };

string mdb_ctime(void)
{

    char    sbuf[32];
    string  tbuf;

    time_t  clock;
    struct  tm  *tm;

    clock   = time((time_t *)NULL);
    tm      = localtime(&clock);

    sprintf(sbuf, "%02d-%s-%04d %02d:%02d:%02d ",
            tm->tm_mday,
            months[tm->tm_mon],
            tm->tm_year + 1900,
            tm->tm_hour,
            tm->tm_min,
            tm->tm_sec);
    tbuf = sbuf;
    return(tbuf);
}


// return the time only in a string
string mdb_timeonly()
{
    char    sbuf[32];
    string  tbuf;

    time_t  clock;
    struct  tm  *tm;

    clock   = time((time_t *)NULL);
    tm      = localtime(&clock);

    sprintf(sbuf, "%02d:%02d:%02d ",
            tm->tm_hour,
            tm->tm_min,
            tm->tm_sec);
    tbuf = sbuf;
    return(tbuf);




}

// return the date only in a string
string mdb_dateonly()
{
    char    sbuf[32];
    string  tbuf;

    time_t  clock;
    struct  tm  *tm;

    clock   = time((time_t *)NULL);
    tm      = localtime(&clock);

    sprintf(sbuf, "%02d-%s-%04d",
            tm->tm_mday,
            months[tm->tm_mon],
            tm->tm_year + 1900);
    tbuf = sbuf;
    return(tbuf);
}


