/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#include <string>

#ifndef CYR_NO_STD_NAMESPACE
using std::string;
#endif
#if defined(WIN32)
# if _MSC_VER >= 1100   // MSC version 5 and above
#pragma warning(disable:4786)
#pragma warning(disable:4503)
# endif
#endif

class   Cmdbparse
{

public:

    // Constructors/Destructor
    Cmdbparse();
    Cmdbparse(const string & cline);
    virtual ~Cmdbparse();

    // Public member functions
    void        set_text(string & cline);
    string &    get_text(void);
    void        case_sensitive(bool y);
    void        skip_whitespace(bool y);
    void        remove_contin_chars(const string & chars);
    void        remove_contin_chars(const char * chars)
    {
        remove_contin_chars(string(chars));
    }
    int         replace_char(const char oldchar, const char newchar);
    int         expect(const string & word);
    int         expect(const char * word)
    {
        return expect(string(word));
    }
    int         expect(const char c);
    int         expect_one_of(const string & chars);
    int         expect_one_of(const char * chars)
    {
        return expect_one_of(string(chars));
    }
    char        peek_next_char(void);
    char        get_next_char(void);
    int         get_text_until(string & opword, const string & uchars);
    int         get_integer(int & opint, string & opstr);
    int         get_delim_string(string & str, char delim);

    static const string wordBreak;

protected:

    // Protected member variables
    string              cl;
    string::size_type   clp;
    string              contins;
    bool                cs;
    bool                sw;

};
