/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#ifndef PHASES_H
#define PHASES_H

static const char * TP_PHASE_NONE  = "None";
static const char * PHASE_LOGINMTX  = "Connect_mtx";
static const char * PHASE_LOGIN     = "Connect";
static const char * PHASE_SQL_PREP  = "Sql Prep";
static const char * PHASE_SQL_SEND  = "Sql Send";
static const char * PHASE_DISCONNECT= "Disconnect";
static const char * PHASE_STIMER    = "Start Timer";
static const char * PHASE_ETIMER    = "Stop Timer";
static const char * PHASE_SETVAR    = "Set Variable";
static const char * PHASE_FETCH     = "Fetch";
static const char * PHASE_CURPREP   = "Cursor Prep";
static const char * PHASE_CURPARSE  = "Cursor Parse";
static const char * PHASE_CURBIND   = "Cursor Bind";
static const char * PHASE_CUREXEC   = "Cursor Exec";
static const char * PHASE_CURCLOSE  = "Cursor Close";
static const char * PHASE_PARSE     = "Parse";
static const char * PHASE_BIND      = "Bind";
static const char * PHASE_EXEC      = "Exec";
static const char * PHASE_BNDA      = "Bnda";
static const char * PHASE_ASRC      = "Asrc";
static const char * PHASE_WAIT      = "Delay";
static const char * PHASE_LOG       = "Log";
static const char * PHASE_WTFOR     = "Wait For Test/Thread";
static const char * PHASE_GENVAR    = "Generate Variable";
static const char * PHASE_SEED      = "Seed Variable";

static const char * PHASE_ATTACH    = "Attach";
static const char * PHASE_DETACH    = "Detach";
static const char * PHASE_SESSION   = "Session";
static const char * PHASE_END_SESSION = "EndSession";
static const char * PHASE_EXECUTE     = "Execute";
static const char * PHASE_EXECUTE_L    = "Execute Local";
static const char * PHASE_EXECUTE_R    = "Execute Remote";
static const char * PHASE_EXECUTE_TH    = "Execute Thread";
static const char * PHASE_CONDITIONAL   = "Conditional Goto";
static const char * PHASE_ELSE      = "Else";
static const char * PHASE_ENDLOOP   = "End Loop";
static const char * PHASE_ENDIF     = "End If";
static const char * PHASE_FORMAT    = "Format";
static const char * PHASE_IFTHEN    = "If Then";
static const char * PHASE_LABEL     = "Label";
static const char * PHASE_LOAD      = "Load";
static const char * PHASE_LOOP      = "Loop";
static const char * PHASE_BREAKCONTINUE = "Break/Continue";
static const char * PHASE_SUBROUTINE    = "Subroutine";
static const char * PHASE_CALLSUB   = "Call Subroutine";
static const char * PHASE_RETURN    = "Return";
static const char * PHASE_DISABLE   = "Disable";
static const char * PHASE_GOTO      = "Goto";
static const char * PHASE_GOERROR   = "On Error Goto";
static const char * PHASE_EXIT      = "Exit";
static const char * PHASE_OPEN      = "Open File";
static const char * PHASE_READ      = "Read File";
static const char * PHASE_WRITE     = "Write File";
static const char * PHASE_FCNTL     = "File Control";
static const char * PHASE_TCSTART   = "Start Test Case";
static const char * PHASE_TCEND     = "End Test Case";
static const char * PHASE_TCTERM    = "Terminate Test Case";



static const char * PHASE_BLKIN     = "Bulk In";
static const char * PHASE_BLKINPREP = "Bulk In Prep";
static const char * PHASE_BLKINEXEC = "Bulk In Exec";
static const char * PHASE_RPC       = "RPC";
static const char * PHASE_RPCPREP   = "RPC Prep";
static const char * PHASE_RPCEXEC   = "RPC Exec";
static const char * PHASE_COMCLOSE  = "Commmand Close";

static const char * MSSQL_PHASE_NONE  = "None";
static const char * PHASE_RPC_PREP  = "Rpc Prep";
static const char * PHASE_RPC_BIND  = "Rpc Bind";
static const char * PHASE_RPC_EXEC  = "Rpc Exec";
static const char * PHASE_RPC_PARAMSETSIZE = "Rpc Param Set Size";
static const char * PHASE_BLKIN_INIT = "Bcp init" ;
static const char * PHASE_BLKIN_BIND = "Bcp bind" ;
static const char * PHASE_BLKIN_SEND = "Bcp send" ;
static const char * PHASE_BLKIN_BATCH = "Bcp batch" ;
static const char * PHASE_BLKIN_DONE = "Bcp done" ;
static const char * PHASE_BLKIN_SENDIMAGE = "Bcp send image" ;
#endif
