/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// timlist.h


#ifndef TIMLIST_H
#define TIMLIST_H


#if defined(WIN32)
#pragma warning(disable:4786)
#endif

#include <string>
#include <set>
#ifdef HPUX
#include <iomanip.h>
#else
#include <iomanip>
#endif

#include "CECVar.h"

#if defined(WIN32)
# if _MSC_VER >= 1100   // MSC version 5 and above
using namespace std;
//++
class Ctimlist;
ostream& operator<<(ostream&, Ctimlist &);
//--
# endif
#endif

typedef set<string> TIMLIST;

class Ctimlist
{

public:

    // Constructors/Destructor
    Ctimlist();
    virtual ~Ctimlist();

    // Public member functions
public:

    int             define_timer(string name, unsigned type = 0);
    int             get_timer_count(void);
    int             is_timer_defined(string name);
    int             delete_timer(string name);
    int             delete_all_timers(void);

    friend ostream& operator<<(ostream& os, Ctimlist & tl);

protected:
    // Timer list
    TIMLIST     tims;
};



#endif
