/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
///////////////////////////////////////////////////////////////////////////////
// @doc     CECScriptFile
// @module  CECScriptFile | File Access class
///////////////////////////////////////////////////////////////////////////////
#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif
#ifndef _CECSCRIPTFILE_H_
#define _CECSCRIPTFILE_H_
#ifndef CYRANO_TP_STANDALONE
#include "CyrWrapLib/CyrWrapLib.h"
#include "CyrImpactLib/CECImpactFolders.h"
#include "CyrImpactLib/CECImpactProject.h"
#endif
#include <list>
#include <string>
#ifdef HPUX
#include <fstream.h>
#else
#include <fstream>
#endif
#ifndef CYR_NO_STD_NAMESPACE
using std::string;
using std::list;
using std::fstream;
#endif
#include "tofprmdef.h"
class CECScriptFile
{
public:
    CECScriptFile(string fileid);
    virtual ~CECScriptFile();
    virtual int Open(string filename,int access,int options);
    virtual string Read(int bytes);
    virtual int Write(string data);
    virtual int Close();
    virtual int Rewind();
    string GetFileId()
    {
        return m_fileid;
    }
    string GetFileName()
    {
        return m_filename;
    }
    int     IsEOF()
    {
        return m_File.eof();
    }
private:
    virtual void GetFile(const string& basename);
    virtual void PutFile();
    string m_fileid;
    string m_filename;
    int m_options;
    int m_access;
    fstream m_File;
#ifndef CYRANO_TP_STANDALONE
    CECOrbFile* m_OrbFile;
#endif
    static list<string> filename_cache;//list of files already checked out of repository
}
;
#endif
