/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc OtaQueryHandler
///////////////////////////////////////////////////////////////////////////////

#ifndef _OtaQueryHandler_h
#define _OtaQueryHandler_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes

///////////////////////////////////////////////////////////////////////////////
// Standard includes
#include <string>

#ifndef VMS
using std::string;
#endif

#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif

#define MAX_SELECT_LIST_SIZE 100

///////////////////////////////////////////////////////////////////////////////
// @class   OtaQueryHandler | This is the base class for query execution
class OtaQueryHandler
{
    // @access Public Members
public:
    OtaQueryHandler();                              // @cmember Constructor
    virtual ~OtaQueryHandler();                        // @cmember Destructor

    virtual bool RunSimpleQuery( const string query, long *result ) = 0;  // @cmember Runs simple query
    virtual bool RunDetailedQuery( const string query, string *result ) = 0;    // @cmember Runs detailed query
    virtual string GetDetailedHeaders( const string query ) = 0;  // @cmember Gets detailed query headers

    // @access Private Members
protected:
    string      m_headers;

private:

};

#endif
