/* Copyright (C) 2000 Cyrano SA

   This file is part of OpenSTA

   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.

   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html

   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc     TManagerRcrd.inl
///////////////////////////////////////////////////////////////////////////////

#include "TManagerRcrd.h"

// Define RTTI keys for each record type ...


// NEW TEST CONTROL INSTRUCTIONS
const AtvfKey TRcrdExecuteTest::		KEY("ExTest");
const AtvfKey TRcrdExecuteThread::		KEY("ExThread");
const AtvfKey TRcrdWtest::			KEY("Wtest");
const AtvfKey ThrDefRcrd::			KEY("ThDef");
CTMutex TRcrdWtest::				m_mutex;

// *****************************************************************************
// * NEW TEST CONTROL INSTRUCTIONS
// *****************************************************************************
const bool TRcrdExecuteTest::_registeredCreator = TRcrdExecuteTest::_RegisterCreator();
const bool TRcrdExecuteTest::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdExecuteTest::KEY] = new TRecMake<TRcrdExecuteTest>();
	return true;
}

const bool TRcrdExecuteThread::_registeredCreator = TRcrdExecuteThread::_RegisterCreator();
const bool TRcrdExecuteThread::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdExecuteThread::KEY] = new TRecMake<TRcrdExecuteThread>();
	return true;
}

const bool TRcrdWtest::_registeredCreator = TRcrdWtest::_RegisterCreator();
const bool TRcrdWtest::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[TRcrdWtest::KEY] = new TRecMake<TRcrdWtest>();
	return true;
}
///////////////////////////////////////////////////////////////////////////////
// Thread Definition record
// =====================================
///////////////////////////////////////////////////////////////////////////////
const bool ThrDefRcrd::_registeredCreator = ThrDefRcrd::_RegisterCreator();
const bool ThrDefRcrd::_RegisterCreator()
{
	if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
	(*recCreatorMap)[ThrDefRcrd::KEY] = new TRecMake<ThrDefRcrd>();
	return true;
}
