#ifndef PSL__VTEST_SRVINFDEF_LOADED
#define PSL__VTEST_SRVINFDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** V - T E S T ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: VTEST_SRVINFDEF.SDL             */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  This module defines the layout of the VTEST Server Information       */
/*  record, which contains general information regarding a VTEST Server  */
/*                                       */
/*===========================================================================*/
/*** MODULE VTEST_SRVINFDEF ***/

/*    SRVINF */
/*    ====== */

/*    This structure holds information relating to a V-TEST Server. */

struct srvinf
{

    /*    This field holds the environment name for the V-TEST Server. */

    char                    srvinf_environmentc12[12];

    /*    This field defines the scope for the V-TEST Server. */

    PSL_U_LONGWORD_T        srvinf_scopel;

    /*    This field contains the name of the test which a distributed test Server */
    /*    is executing. */

    char                    srvinf_server_testc20[20];

    /*    This field holds the Process ID of the Server process */

    PSL_LONGWORD_T          srvinf_pidl;

    /*    This field holds the UIC of the user who created the server */

    PSL_LONGWORD_T          srvinf_uicl;

    /*    This field holds the group ID of the user who created the server */

    PSL_LONGWORD_T          srvinf_groupl;

    /*    This field holds the Member ID of the user who created the server */

    PSL_LONGWORD_T          srvinf_memberl;

    /*    This field holds the name of the user who is the supervisor of the test */
    /*    server/executer. It is used for remote test executers as in this case */
    /*    the UIC/GROUP/MEMBER and PID fields are not relevent as they are on a */
    /*    different machine. */

    char                    srvinf_usernamec32[32];

    /*    Filler/alignment bytes */

    char                    srvinf_fillerc4[4];
} ;

/*  End of C Include File */

#endif  /* PSL__VTEST_SRVINFDEF_LOADED */
